#!/bin/bash

# Primeiro passo: matar a execuo anterior do MyGrid
#$MGROOT/bin/mygrid stop > /dev/null 2>&1
#####

#-----------------------
#  Funes auxiliares
#-----------------------

black='\E[30;47m'
red='\E[31;40m'
green='\E[32;40m'
yellow='\E[33;40m'
blue='\E[34;47m'
magenta='\E[35;47m'
cyan='\E[36;47m'
white='\E[37;40m'
reset='\033[0m'

cecho ()                     # Color-echo.
                             # Argument $1 = color
                             # Argument $1 = message
{

  color=$1           # Defaults to black, if not specified.

  echo -en "$color"
  echo -n "$2"
  echo -en "$white"
  return
}  

putprocentry()
{
	echo -e "proc:" >> $2
	echo -e "\tname = $1" >> $2
	echo -e "\tattributes = lsd, linux" >> $2
	echo -e "\trem_exec = ssh %machine %command" >> $2
	echo -e "\tcopy_to = scp %localdir/%file %machine:%remotedir/" >> $2
	echo -e "\tcopy_from = scp %machine:%remotedir/%file %localdir/" >> $2
	echo -e "\ttype = grid_script" >> $2
	echo -e "\n" >> $2
}

HOMEMACHINE=`hostname`
cont=0

checkgum()
{
	if [ ${GUM} != ${HOMEMACHINE} ]; then
		cecho $green " [alive]"
		putprocentry $GUM $GRIDFILE
		let "cont+=1"
	fi
}		


makelocalgrid() 
{
	DATADIR=$HOME/data
	GRIDFILE=$DATADIR/lsd.gdf
	SUBNET="150.165.98"
	

	
	clear
	mkdir -p $DATADIR
	echo "--> Creating the grid $GRIDFILE" 

	rm -f $GRIDFILE

	for i in `seq 1 126` 
	do
		VAR=`host $SUBNET.$i | awk '{print $5}'`
		GUM=${VAR%%.}

		if [ ${GUM} == "baleia.lsd.ufcg.edu.br" ] || [ ${GUM} == "moreia.lsd.ufcg.edu.br" ] || [ ${GUM} == "lula.lsd.ufcg.edu.br" ] || [ ${GUM} == "printer.lsd.ufcg.edu.br" ]; then
			echo "IP [$SUBNET.$i] - printers and server machines excluded from the grid"
		else
			if [ ${GUM} != "3(NXDOMAIN)" ]; then 
				echo -n "IP [$SUBNET.$i] - testing machine [$GUM] "
				ssh -x -q $SUBNET.$i exit && checkgum 
				echo
			else
				echo "IP [$SUBNET.$i] - not assigned"
			fi
		fi
	done
	echo
	echo "--> Grid $GRIDFILE created with $cont machines" 
}


makelocalgrid
