#!/bin/bash

PEER=./peer/bin/peer
UAADMIN=./peer/bin/uaadmin
PEERSDF=./peer/peer.sdf

clean() {

	stop
	
	rm -rf peer
	rm -rf useragent
}

install() {
	# Removing and stopping olders distributions...

	stop

	# Unpacking the peer...

	tar xzvf peer-3.3-*.tar.gz
	tar xzvf useragent-3.3-*.tar.gz

	mv peer.properties peer/peer.properties
	mv peer.sdf $PEERSDF
	
	rm peer-3.3-*.tar.gz
	rm useragent-3.3-*.tar.gz
}

start() {

	echo Starting Peer...
	$PEER start

	sleep 5

	echo Installing User Agents...
	$UAADMIN init $PEERSDF &

	echo Setting Gums
	$PEER setgums $PEERSDF &

	echo Peer was installed!


}

stop() {

	$PEER stop
	$UAADMIN shutdown $PEERSDF

}

case "$1" in

	install)
		echo "Copying necessary files to peers and UAs..."
		install #> /dev/null
	;;
	start)
		echo "Starting peers and UAs..."
		start #> /dev/null
	;;

	stop)
		echo "Stopping peers and UAs..."
		stop #> /dev/null
	;;

	clean)
		echo "Removing installed files..."
		clean #> /dev/null
	;;
esac
