
/*
 * Copyright (c) 2002-2004 Universidade Federal de Campina Grande
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/**
 * @author Gustavo Mendes, gugawag@bol.com.br   
 * @author Glaucimar Aguiar
 * 
 * Description: Represents a util class to deal with files.
 * 
 * @version 1.1
 * Created on Jul 24, 2003
 * Last update: Jan 27, 2004
 */

import java.io.BufferedReader;
import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;

public class FileUtil {
	
	public static String getLine(BufferedReader input) throws IOException{
		String line = "";
		while ((line = input.readLine()) != null) {
			line = line.trim();
			if (!line.equals("")) {
				return line;
			}
		}
		return null;
	}
	
	public static void append( String file, String data ) throws IOException{
		FileOutputStream fos = new FileOutputStream( file, true );
		fos.write( data.getBytes() );
		fos.close();
	}
   

}
