/*
 * Copyright (c) 2002-2006 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.common.config;

/*
 * Copyright (c) 2002-2006 Universidade Federal de Campina Grande This program
 * is free software; you can redistribute it and/or modify it under the terms of
 * the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version. This
 * program is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
 * A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */

import junit.framework.TestCase;

import org.ourgrid.test.CommonTest;

/**
 * Test some features of <code>Configuration</code> class.
 */
public class ConfigurationTest extends TestCase implements CommonTest {

	private Configuration configuration;


	/**
	 * Reset the configuration
	 */
	protected void setUp() throws Exception {

		Configuration.reset();
	}


	/**
	 * Reset the configuration
	 */
	protected void tearDown() throws Exception {

		Configuration.reset();
	}


	/**
	 * Verify if the OurgridConfiguration is correctly loaded
	 */
	public void testOurgridConfigurrationInstance() {

		configuration = Configuration.getInstance( Configuration.PEER );
		assertTrue( configuration instanceof PeerConfiguration );
	}


	/**
	 * Verify if the OurgridConfiguration is correctly loaded
	 */
	public void testUserAgentConfigurrationInstance() {

		configuration = Configuration.getInstance( Configuration.USERAGENT );
		assertTrue( configuration instanceof UserAgentConfiguration );
	}


	/**
	 * Verify if the MyGridConfiguration is correctly loaded
	 */
	public void testMyGridConfigurrationInstance() {

		configuration = Configuration.getInstance( Configuration.MYGRID );
		assertTrue( configuration instanceof MyGridConfiguration );
	}


	public void testLoadWrongConfiguration() {

		try {
			String wrongConfiguration = "crazy";
			configuration = Configuration.getInstance( wrongConfiguration );
			fail();
		} catch ( RuntimeException rte ) {
			// expected exception
		}
	}

}
