package org.ourgrid.common.event;

public interface EventEngine<T extends Event> extends Runnable {

	/**
	 * Includes an <code>Event</code> to be processed by this
	 * <code>JICEventHandler</code>.
	 * 
	 * @param event The <code>Event</code> to be included.
	 */
	public void putEvent( T event );


	/**
	 * Starts processing its events.
	 */
	public void startProcessing();

}
