/*
 * Copyright (c) 2002-2006 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.common.event;

/**
 * This event will be used to return exceptions that were thrown by event based
 * objects.
 */
public class ThrowableEvent implements ResponseEvent {

	private static final long serialVersionUID = 33L;

	private Throwable throwable;


	/**
	 * The default constructor for this event.
	 * 
	 * @param throwable The object to be thrown
	 */
	public ThrowableEvent( Throwable throwable ) {

		this.throwable = throwable;
	}


	/**
	 * @see org.ourgrid.common.event.ResponseEvent#getResponse()
	 */
	public Object getResponse() {

		return throwable;
	}

}
