/*
 * Copyright (c) 2002-2006 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.common.exception;

/**
 * This exception is commonly used when an object reaches an illegal state.
 */
public class IllegalStateException extends RuntimeException {

	private static final long serialVersionUID = 33L;


	/**
	 * The constructor.
	 */
	public IllegalStateException() {

		super();
	}


	/**
	 * The constructor.
	 * 
	 * @param message The message that describes the error.
	 */
	public IllegalStateException( String message ) {

		super( message );
	}


	/**
	 * The constructor.
	 * 
	 * @param cause The throwable that is the cause of this exception.
	 */
	public IllegalStateException( Throwable cause ) {

		super( cause );
	}


	/**
	 * The constructor.
	 * 
	 * @param message The message that describes the error.
	 * @param cause The throwable that is the cause of this exception.
	 */
	public IllegalStateException( String message, Throwable cause ) {

		super( message, cause );
	}

}
