/*
 * Copyright (c) 2002-2006 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.common.exception;

/**
 * Description: This class represents a super class to all exceptions of XML
 * that MyGrid can throw.
 * 
 * @version 1.0 Created on Aug 26, 2003 Last update: Aug 26, 2003
 */

public class MyGridXMLException extends OurgridException {

	private static final long serialVersionUID = 33L;


	/**
	 * Constructor no args. Creates a MyGridXMLException with the super class
	 * constructor no args.
	 */
	public MyGridXMLException() {

		super();
	}


	/**
	 * @param cause The cause of this exception be thrown.
	 */
	public MyGridXMLException( Throwable cause ) {

		super( cause );
	}


	/**
	 * @param message The message describing the exception.
	 * @param cause The exception that has origined this exception
	 */
	public MyGridXMLException( String message, Throwable cause ) {

		super( message, cause );
	}

}
