/*
 * Copyright (c) 2002-2006 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.common.exception;

/**
 * RequestAlreadyExistsException indicates that a request already exists.
 */
public class RequestAlreadyExistsException extends Exception {

	private static final long serialVersionUID = 33L;


	/**
	 * Creates RequestAlreadyExistsException indicates that a request with the
	 * same id exists.
	 * 
	 * @param id The existent id
	 */
	public RequestAlreadyExistsException( long id ) {

		super( "There already is a Request with this ID " + id );
	}


	/**
	 * Creates RequestAlreadyExistsException indicates that a request with the
	 * same id exists.
	 */
	public RequestAlreadyExistsException( String msg ) {

		super( msg );
	}

}
