/*
 * Copyright (c) 2002-2006 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.common.executor;

import junit.framework.TestCase;

import org.ourgrid.test.ReplicaExecutorFastTest;

public class ExecutorResultTest extends TestCase implements ReplicaExecutorFastTest {

	/**
	 * Constructor for ExecutorResultTest.
	 * 
	 * @param arg0
	 */
	public ExecutorResultTest( String arg0 ) {

		super( arg0 );
	}


	public static void main( String[ ] args ) {

		junit.swingui.TestRunner.run( ExecutorResultTest.class );
	}


	/*
	 * Test for boolean equals(Object)
	 */
	public void testEqualsObject() {

		ExecutorResult theExecutor1 = new ExecutorResult();
		ExecutorResult theExecutor2 = new ExecutorResult();

		assertEquals( "1", theExecutor1, theExecutor2 );
		theExecutor1.setExitValue( 1 );
		theExecutor2.setExitValue( 3 );
		assertTrue( "2", !theExecutor1.equals( theExecutor2 ) );

		theExecutor1.setExitValue( 1 );
		theExecutor2.setExitValue( 1 );

		theExecutor1.setStderr( "1" );
		theExecutor2.setStderr( "2" );
		assertTrue( "3", !theExecutor1.equals( theExecutor2 ) );

		theExecutor1.setStderr( "1" );
		theExecutor2.setStderr( "1" );

		theExecutor1.setStdout( "1" );
		theExecutor2.setStdout( "2" );
		assertTrue( "4", !theExecutor1.equals( theExecutor2 ) );

		theExecutor1.setStdout( "1" );
		theExecutor2.setStdout( "1" );
		assertTrue( "5", theExecutor1.equals( theExecutor2 ) );
	}

}
