/*
 * Copyright (c) 2002-2004 Universidade Federal de Campina Grande
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package org.ourgrid.common.fd.simpletest;

import static org.ourgrid.common.fd.simpletest.TestMainMonitorable.monitorableBoundName;

import java.net.MalformedURLException;
import java.rmi.AlreadyBoundException;
import java.rmi.Naming;
import java.rmi.RemoteException;
import java.rmi.registry.LocateRegistry;

import org.ourgrid.common.fd.AbstractFailureDetector;
import org.ourgrid.common.fd.Notifiable;
import org.ourgrid.common.fd.SimpleTestFailureDetector;

public class TestMainFailureDetector {

	/**
	 * @param args
	 */
	public static void main( String[ ] args ) {

		try {
			LocateRegistry.createRegistry( 15870 );
			SimpleTestFailureDetector alwaysUPFailureDetector = new SimpleTestFailureDetector( 15000 );
			alwaysUPFailureDetector.startMonitoring();
			Naming.bind( "rmi://tuvira.lsd.ufcg.edu.br:15870/" + AbstractFailureDetector.BOUND_NAME,
					alwaysUPFailureDetector );

			// Looking up the monitoring
			Notifiable notifiable = new FakeNotifiable();
			alwaysUPFailureDetector.register( notifiable, monitorableBoundName );
			// alwaysUPFailureDetector.register(notifiable,
			// "rmi://tuvira.lsd.ufcg.edu.br:7088/" +
			// AbstractFailureDetector.BOUND_NAME);

		} catch ( RemoteException e ) {
			e.printStackTrace();
		} catch ( AlreadyBoundException e ) {
			e.printStackTrace();
		} catch ( MalformedURLException e ) {
			e.printStackTrace();
		}

	}
}
