/*
 * Copyright (c) 2002-2006 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.common.gump;

import org.ourgrid.common.exception.RequestAlreadyExistsException;
import org.ourgrid.common.id.GumID;
import org.ourgrid.common.spec.RequestSpec;

/**
 * This interfaces represents a <code>Gump</code> behavior through events.
 * 
 * @see org.ourgrid.common.gump.Gump
 */
public interface EBGump {

	/**
	 * @see org.ourgrid.common.gump.Gump#requestGums(RequestSpec)
	 */
	void requestGums( RequestSpec requestSpec ) throws RequestAlreadyExistsException;


	/**
	 * @see org.ourgrid.common.gump.Gump#finishRequestGums(long)
	 */
	void finishRequestGums( long requestID );


	/**
	 * @see org.ourgrid.common.gump.Gump#pauseRequestGums(long)
	 */
	void pauseRequestGums( long requestID );


	/**
	 * @see org.ourgrid.common.gump.Gump#resumeRequestGums(long)
	 */
	void resumeRequestGums( long requestID );


	/**
	 * @see org.ourgrid.common.gump.Gump#unwantedGum(long, GumID)
	 */
	void unwantedGum( long requestID, GumID gumID );


	/**
	 * @see org.ourgrid.common.gump.Gump#disposeGum(long, GumID)
	 */
	void disposeGum( long requestID, GumID gumID );
}
