/* Created at 28/04/2006 */

/**
 * 
 */
package org.ourgrid.common.gump;

import org.ourgrid.common.exception.RequestAlreadyExistsException;
import org.ourgrid.common.id.GumID;
import org.ourgrid.common.spec.RequestSpec;

@SuppressWarnings("unused")
public class FakeEBGump implements EBGump {

	private int expectedRequestGums;

	private int expectedFinishRequestGums;

	private int expectedPauseRequestGums;

	private int expectedResumeRequestGums;

	private int expectedUnwantedGum;

	private int expectedDisposeGum;

	private int actualRequestGums;

	private int actualFinishRequestGums;

	private int actualPauseRequestGums;

	private int actualResumeRequestGums;

	private int actualUnwantedGum;

	private int actualDisposeRequestGum;


	public FakeEBGump() {

		reset();
	}


	public void reset() {

		expectedRequestGums = 0;
		expectedFinishRequestGums = 0;
		expectedPauseRequestGums = 0;
		expectedResumeRequestGums = 0;
		expectedUnwantedGum = 0;
		expectedDisposeGum = 0;
		actualRequestGums = 0;
		actualFinishRequestGums = 0;
		actualPauseRequestGums = 0;
		actualResumeRequestGums = 0;
		actualUnwantedGum = 0;
		actualDisposeRequestGum = 0;
	}


	public void setExpectedRequestGums( int expected ) throws RequestAlreadyExistsException {

		expectedRequestGums = expected;
	}


	public void setExpectedFinishRequestGums( int expected ) {

		expectedFinishRequestGums = expected;
	}


	public void setExpectedPauseRequestGums( int expected ) {

		expectedPauseRequestGums = expected;
	}


	public void setExpectedResumeRequestGums( int expected ) {

		expectedResumeRequestGums = expected;
	}


	public void setExpectedUnwantedGum( int expected ) {

		expectedUnwantedGum = expected;
	}


	public void setExpectedDisposeGum( int expected ) {

		expectedDisposeGum = expected;
	}


	public void requestGums( RequestSpec requestSpec ) throws RequestAlreadyExistsException {

		actualRequestGums++;
	}


	public void finishRequestGums( long requestID ) {

		actualFinishRequestGums++;
	}


	public void pauseRequestGums( long requestID ) {

		actualPauseRequestGums++;
	}


	public void resumeRequestGums( long requestID ) {

		actualResumeRequestGums++;
	}


	public void unwantedGum( long requestID, GumID gumID ) {

		actualUnwantedGum++;
	}


	public void disposeGum( long requestID, GumID gumID ) {

		actualDisposeRequestGum++;
	}


	public void verify() {

		if ( expectedRequestGums != actualRequestGums || expectedFinishRequestGums != actualFinishRequestGums
				|| expectedPauseRequestGums != actualPauseRequestGums
				|| expectedResumeRequestGums != actualResumeRequestGums || expectedUnwantedGum != actualUnwantedGum
				|| expectedDisposeGum != actualDisposeRequestGum ) {

			throw new RuntimeException( "FAIL!!!!!!!!!!\n" + "Expected Request Gums " + expectedRequestGums
					+ " -> Actual " + actualRequestGums + "\n" + "Expected Finish Request Gums "
					+ expectedFinishRequestGums + " -> Actual " + actualFinishRequestGums + "\n"
					+ "Expected Pause Request Gums " + expectedPauseRequestGums + " -> Actual "
					+ actualPauseRequestGums + "\n" + "Expected Resume Request Gums " + expectedResumeRequestGums
					+ " -> Actual " + actualResumeRequestGums + "\n" + "Expected Unwanted Gums " + expectedUnwantedGum
					+ " -> Actual " + actualUnwantedGum + "\n" + "Expected Dispose Gums " + expectedDisposeGum
					+ " -> Actual " + actualDisposeRequestGum );
		}
	}
}
