/*
 * Copyright (c) 2002-2006 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.common.security;

import java.io.FileDescriptor;
import java.net.InetAddress;
import java.security.Permission;

/**
 * This class implements a null set of security policies. By null we mean that
 * all the check methods called by the Java libraries are just empty (to the
 * void ones) or return <code>true</code> (to the ones that requires a boolean
 * return).
 */
@SuppressWarnings("unused")
public class NullSecurityManager extends SecurityManager {

	public void checkAccept( String host, int port ) {

	}


	public void checkAccess( Thread g ) {

	}


	public void checkAccess( ThreadGroup g ) {

	}


	public void checkAwtEventQueueAccess() {

	}


	public void checkConnect( String host, int port ) {

	}


	public void checkConnect( String host, int port, Object context ) {

	}


	public void checkCreateClassLoader() {

	}


	public void checkDelete( String file ) {

	}


	public void checkExec( String cmd ) {

	}


	public void checkExit( int status ) {

	}


	public void checkLink( String lib ) {

	}


	public void checkListen( int port ) {

	}


	public void checkMemberAccess( Class clazz, int which ) {

	}


	public void checkMulticast( InetAddress maddr ) {

	}


	public void checkPackageAccess( String pkg ) {

	}


	public void checkPackageDefinition( String pkg ) {

	}


	public void checkPermission( Permission perm ) {

	}


	public void checkPrintJobAccess() {

	}


	public void checkPropertiesAccess() {

	}


	public void checkPropertyAccess( String key ) {

	}


	public void checkRead( FileDescriptor fd ) {

	}


	public void checkRead( String file ) {

	}


	public void checkRead( String file, Object context ) {

	}


	public void checkSecurityAccess( String provider ) {

	}


	public void checkSetFactory() {

	}


	public void checkSystemClipboardAccess() {

	}


	public boolean checkTopLevelWindow( Object window ) {

		return true;
	}


	public void checkWrite( FileDescriptor fd ) {

	}


	public void checkWrite( String file ) {

	}
}
