/*
 * Copyright (c) 2002-2006 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.common.spec;

import junit.framework.TestCase;

import org.ourgrid.test.CommonTest;

/**
 * Created on Jun 29, 2004
 */
public class CodesTableTest extends TestCase implements CommonTest {

	private CodesTable table;


	/*
	 * @see TestCase#setUp()
	 */
	protected void setUp() throws Exception {

		super.setUp();
		table = CodesTable.getInstance();
	}


	/*
	 * @see TestCase#tearDown()
	 */
	protected void tearDown() throws Exception {

		super.tearDown();
		table = null;
	}


	/**
	 * Constructor for CodesTableTest.
	 * 
	 * @param arg0
	 */
	public CodesTableTest( String arg0 ) {

		super( arg0 );
	}


	public static void main( String[ ] args ) {

		junit.swingui.TestRunner.run( CodesTableTest.class );
	}


	public void testGetCode() {

		assertEquals( 1, table.getCode( "job" ) );
		assertEquals( 8, table.getCode( "FINAL" ) );
		assertEquals( 16, table.getCode( "gum" ) );
		assertEquals( 30, table.getCode( "||" ) );
		assertEquals( 42, table.getCode( "version" ) );
		assertEquals( 60, table.getCode( ";" ) );
		assertEquals( 62, table.getCode( ":" ) );
		assertEquals( 70, table.getCode( "{" ) );
		assertEquals( 73, table.getCode( ")" ) );
		assertEquals( 0, table.getCode( "xpto" ) );
		assertEquals( 83, table.getCode( CodesTable.STRING ) );

	}


	public void testGetType() {

		assertEquals( CodesTable.RESERVED_WORD, table.getType( "REQUIREMENTS" ) );
		assertEquals( CodesTable.RESERVED_WORD, table.getType( "FINAL" ) );
		assertEquals( CodesTable.RESERVED_WORD, table.getType( "PEER" ) );
		assertEquals( CodesTable.OPERATOR, table.getType( "=" ) );
		assertEquals( CodesTable.OPERATOR, table.getType( ">=" ) );
		assertEquals( CodesTable.OPERATOR, table.getType( "in_path" ) );
		assertEquals( CodesTable.PARENTHERIC, table.getType( "}" ) );
		assertEquals( CodesTable.PARENTHERIC, table.getType( "(" ) );
		assertEquals( CodesTable.POINTING, table.getType( ":" ) );
		assertEquals( CodesTable.POINTING, table.getType( ";" ) );
		assertEquals( CodesTable.LANGUAGETYPES, table.getType( CodesTable.STRING ) );
		assertEquals( 0, table.getType( "ThisWordDoesNotExistAndWillHaveNoTypeDefined" ) );
	}
}
