/*
 * Copyright (c) 2002-2006 Universidade Federal de Campina Grande
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation, Inc., 59
 * Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

package org.ourgrid.common.spec;

import java.util.HashMap;
import java.util.Map;

import junit.framework.TestCase;

/**
 * @author Gustavo Wagner, gugawag@gmail.com<br>
 *         Alisson Wilker, alissonwilker@gmail.com Description: Created on
 *         22/12/2005
 */

public class GumSpecTest extends TestCase {

	private Map<String,String> attributes;

	private GumSpec gumSpec;


	protected void setUp() throws Exception {

		super.setUp();

		attributes = new HashMap<String,String>();
		attributes.put( "attrib1", "value1" );
		attributes.put( "attrib2", "value2" );

		gumSpec = new GumSpec();

	}


	protected void tearDown() {

		attributes.clear();
	}


	/*
	 * Test method for 'org.ourgrid.common.spec.GumSpec.putAttributes(Map<String,
	 * String>)'
	 */
	public void testPutAttributes() {

		// GumSpec
		Map gumAttributes = gumSpec.getAttributes();
		int oldGumAttributesSize = gumAttributes.size();

		gumSpec.putAttributes( attributes );

		int newGumAttributesSize = gumAttributes.size();

		assertTrue( oldGumAttributesSize + 2 == newGumAttributesSize );

	}


	/*
	 * Test method for
	 * 'org.ourgrid.common.spec.GumSpec.removeAttributes(Collection<String>)'
	 */
	public void testRemoveAttributes() {

		gumSpec.putAttributes( attributes );

		Map gumAttributes = gumSpec.getAttributes();
		int oldGumAttributesSize = gumAttributes.size();

		gumSpec.removeAttributes( attributes.keySet() );

		int newGumAttributesSize = gumAttributes.size();

		assertTrue( oldGumAttributesSize - 2 == newGumAttributesSize );

	}

}
