/*
 * Copyright (c) 2002-2006 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.common.spec.main;

import java.io.IOException;

import junit.framework.TestCase;

import org.ourgrid.common.spec.CompilerMessages;
import org.ourgrid.test.CommonTest;

/**
 * Is basiclly used to test the exceptions that can happens at compiler
 * creation. Created on Aug 13, 2004
 */
public class CommonCompilerTest extends TestCase implements CommonTest {

	CommonCompiler compiler;


	/*
	 * @see TestCase#setUp()
	 */
	protected void setUp() throws Exception {

		super.setUp();
		compiler = new CommonCompiler();
	}


	/*
	 * @see TestCase#tearDown()
	 */
	protected void tearDown() throws Exception {

		super.tearDown();
		compiler = null;
	}


	public void testProblemsWithFiles() {

		try {
			compiler.compile( "nonExistentFile", CommonCompiler.GDF_TYPE );
			fail( "The source does not exists. Sould throw an exception." );
		} catch ( CompilerException cex ) {
			assertTrue( cex.getCause() instanceof IOException );
		}

		try {

			compiler.compile( "test/specs/main/gridTest.gdf", "nonExistentType" );
			fail( "The type used does not exists. Should throw an exception." );
		} catch ( CompilerException cex ) {
			System.out.println( cex.getMessage() );
			assertTrue( cex.getMessage().equals( CompilerMessages.BAD_LANGUAGE_TYPE ) );
		}

	}

}
