package org.ourgrid.common.spec.main;

import java.util.List;

import org.ourgrid.common.spec.GumSpec;
import org.ourgrid.common.spec.JobSpec;
import org.ourgrid.common.spec.PeerSpec;
import org.ourgrid.mygrid.ui.command.UIMessages;

public class DescriptionFileCompile {

	public static JobSpec compileJDF( String descriptionFilePath ) throws CompilerException {

		CommonCompiler compiler = new CommonCompiler();

		compiler.compile( descriptionFilePath, CommonCompiler.JDF_TYPE );

		List answer = compiler.getResult();

		if ( answer == null ) {
			throw new CompilerException( UIMessages.THE_DESCRIPTION_FILE_IS_EMPTY );
		}

		return (JobSpec) answer.get( 0 );
	}


	public static List<PeerSpec> compileGDF( String descriptionFilePath ) throws CompilerException {

		CommonCompiler compiler = new CommonCompiler();

		try {

			compiler.compile( descriptionFilePath, CommonCompiler.GDF_TYPE );
		} catch ( CompilerException cex ) {
			throw cex;

		}

		List answer = compiler.getResult();

		if ( answer == null ) {
			throw new CompilerException( UIMessages.THE_DESCRIPTION_FILE_IS_EMPTY );
		}

		return answer;
	}


	public static List<GumSpec> compileSDF( String descriptionFilePath ) throws CompilerException {

		CommonCompiler compiler = new CommonCompiler();

		compiler.compile( descriptionFilePath, CommonCompiler.SDF_TYPE );

		List answer = compiler.getResult();

		if ( answer == null ) {
			throw new CompilerException( UIMessages.THE_DESCRIPTION_FILE_IS_EMPTY );
		}

		return answer;
	}
}
