/*
 * Copyright (c) 2002-2006 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.common.spec.syntactical;

/**
 * This interface has to be implemented for every new language that will be
 * compiled. This will have to use the knowledge of a grammar to derivate the
 * sequences that can be accepted by it. This will have to use the services of
 * the Lexical module to ask it for Tokens.
 */
public interface SyntacticalAnalyzer {

	/**
	 * This is the "main" method then it will start the compilation process.
	 * Here will be made the syntactical compilation of source that is: given a
	 * source, will be checked if it is or not valid according to the rules of
	 * the grammar's language.
	 */
	public void startCompilation() throws SyntacticalException;

}
