/*
 * Copyright (c) 2002-2006 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.common.spec.token;

import java.io.IOException;

import junit.framework.TestCase;

import org.ourgrid.common.spec.io.CharReader;
import org.ourgrid.test.CommonTest;

/**
 * Created on May 31, 2004
 */
public class OperatorTest extends TestCase implements CommonTest {

	private final String SOURCE_FILE_TEST = "test/specs/tokens/operatorTest";

	private CharReader reader;


	/**
	 * Constructor for NumberTest.
	 * 
	 * @param arg0
	 */
	public OperatorTest( String arg0 ) {

		super( arg0 );
	}


	protected void setUp() throws Exception {

		super.setUp();
		reader = new CharReader( SOURCE_FILE_TEST );
	}


	protected void tearDown() throws Exception {

		super.tearDown();
		reader.closeStreams();
	}


	public void test_1() throws IOException {

		char aux = reader.readChar();
		Operator operatorToken = new Operator();
		Token toTest = operatorToken.readOperator( aux, reader );
		assertEquals( toTest.getSymbol(), "||" );
		assertEquals( toTest.getCode(), 30 );
		aux = reader.readNonBlankChar();
		assertEquals( 'x', aux );
		toTest = operatorToken.readOperator( aux, reader );
		assertNull( toTest );
		aux = reader.readChar();
		assertEquals( 'x', aux );
		aux = reader.readChar();
		assertEquals( 'p', aux );
		aux = reader.readChar();
		assertEquals( 't', aux );
		aux = reader.readChar();
		assertEquals( 'o', aux );
		aux = reader.readChar();
		assertEquals( '&', aux );
		toTest = operatorToken.readOperator( aux, reader );
		assertEquals( "&&", toTest.getSymbol() );
		assertEquals( 31, toTest.getCode() );

		reader.readLine();
		aux = reader.readNonBlankChar();
		toTest = operatorToken.readOperator( aux, reader );
		assertEquals( toTest.getSymbol(), "==" );
		assertEquals( toTest.getCode(), 34 );

		reader.readLine();
		aux = reader.readNonBlankChar();
		toTest = operatorToken.readOperator( aux, reader );
		assertEquals( toTest.getSymbol(), "IN_PATH" );
		assertEquals( toTest.getCode(), 40 );

		reader.readLine();
		aux = reader.readNonBlankChar();
		assertEquals( 'b', aux );
		toTest = operatorToken.readOperator( aux, reader );
		assertNull( toTest );
		aux = reader.readChar();
		assertEquals( 'b', aux );
		reader.readLine();

		aux = reader.readNonBlankChar();
		assertEquals( '=', aux );
		toTest = operatorToken.readOperator( aux, reader );
		assertEquals( toTest.getSymbol(), "=" );
		assertEquals( toTest.getCode(), 33 );

		reader.readLine();
		aux = reader.readNonBlankChar();
		assertEquals( 'e', aux );
		toTest = operatorToken.readOperator( aux, reader );
		assertNull( toTest );
		aux = reader.readChar();
		assertEquals( 'e', aux );
		aux = reader.readChar();
		assertEquals( 'u', aux );

		aux = reader.readNonBlankChar();
		assertEquals( '>', aux );
		operatorToken = new Operator();
		toTest = operatorToken.readOperator( aux, reader );
		assertEquals( ">=", toTest.getSymbol() );
		assertEquals( 38, toTest.getCode() );
		aux = reader.readChar();
		assertEquals( 't', aux );
	}
}
