/*
 * Copyright (c) 2002-2006 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.common.spec.token;

import java.io.IOException;

import junit.framework.TestCase;

import org.ourgrid.common.spec.CodesTable;
import org.ourgrid.common.spec.io.CharReader;
import org.ourgrid.test.CommonTest;

/**
 * Created on Jun 29, 2004
 */
public class ParentheticTest extends TestCase implements CommonTest {

	private final String SOURCE_FILE_TEST = "test/specs/tokens/parantizerTest";

	private CharReader reader;


	/**
	 * Constructor for NumberTest.
	 * 
	 * @param arg0
	 */
	public ParentheticTest( String arg0 ) {

		super( arg0 );
	}


	protected void setUp() throws Exception {

		super.setUp();
		reader = new CharReader( SOURCE_FILE_TEST );
		CodesTable.getInstance();
	}


	protected void tearDown() throws Exception {

		super.tearDown();
		reader.closeStreams();
	}


	public void test_1() throws IOException {

		char aux = reader.readChar();
		Parenthetic parantizerToken = new Parenthetic();
		Token toTest = parantizerToken.readParantizer( aux, reader );
		assertEquals( "{", toTest.getSymbol() );
		assertEquals( 70, toTest.getCode() );

		aux = reader.readNonBlankChar();
		aux = reader.readNonBlankChar();
		assertEquals( ']', aux );
		parantizerToken = new Parenthetic();
		toTest = parantizerToken.readParantizer( aux, reader );
		assertNull( toTest );

		aux = reader.readNonBlankChar();
		aux = reader.readNonBlankChar();
		parantizerToken = new Parenthetic();
		toTest = parantizerToken.readParantizer( aux, reader );
		assertEquals( "(", toTest.getSymbol() );
		assertEquals( 72, toTest.getCode() );

		aux = reader.readNonBlankChar();
		parantizerToken = new Parenthetic();
		toTest = parantizerToken.readParantizer( aux, reader );
		assertEquals( ")", toTest.getSymbol() );
		assertEquals( 73, toTest.getCode() );

		aux = reader.readNonBlankChar();
		aux = reader.readNonBlankChar();
		assertEquals( '[', aux );
		parantizerToken = new Parenthetic();
		toTest = parantizerToken.readParantizer( aux, reader );
		assertNull( toTest );

		aux = reader.readNonBlankChar();
		parantizerToken = new Parenthetic();
		toTest = parantizerToken.readParantizer( aux, reader );
		assertEquals( "}", toTest.getSymbol() );
		assertEquals( 71, toTest.getCode() );
	}
}
