/*
 * Copyright (c) 2002-2006 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.common.spec.token;

import java.io.IOException;

import junit.framework.TestCase;

import org.ourgrid.common.spec.io.CharReader;
import org.ourgrid.test.CommonTest;

/**
 * Created on Jun 29, 2004
 */
public class PointingTest extends TestCase implements CommonTest {

	public static final String TEST_ALL_TEST_TYPE = "UNIT";

	private final String SOURCE_FILE_TEST = "test/specs/tokens/pointingTest";

	private CharReader reader;


	/**
	 * Constructor for NumberTest.
	 * 
	 * @param arg0
	 */
	public PointingTest( String arg0 ) {

		super( arg0 );
	}


	protected void setUp() throws Exception {

		super.setUp();
		reader = new CharReader( SOURCE_FILE_TEST );
	}


	protected void tearDown() throws Exception {

		super.tearDown();
		reader.closeStreams();
	}


	public void test_1() throws IOException {

		char aux = reader.readChar();
		Pointing pointingToken = new Pointing();
		Token toTest = pointingToken.readPointing( aux, reader );
		assertEquals( ";", toTest.getSymbol() );
		assertEquals( 60, toTest.getCode() );

		aux = reader.readNonBlankChar();
		assertEquals( 'b', aux );
		pointingToken = new Pointing();
		toTest = pointingToken.readPointing( aux, reader );
		assertNull( toTest );

		aux = reader.readNonBlankChar();
		pointingToken = new Pointing();
		toTest = pointingToken.readPointing( aux, reader );
		assertEquals( ":", toTest.getSymbol() );
		assertEquals( 62, toTest.getCode() );

		aux = reader.readNonBlankChar();
		assertEquals( '7', aux );
		pointingToken = new Pointing();
		toTest = pointingToken.readPointing( aux, reader );
		assertNull( toTest );

		aux = reader.readNonBlankChar();
		assertEquals( '.', aux );
		pointingToken = new Pointing();
		toTest = pointingToken.readPointing( aux, reader );
		assertNull( toTest );

		aux = reader.readNonBlankChar();
		pointingToken = new Pointing();
		toTest = pointingToken.readPointing( aux, reader );
		assertEquals( "\\n", toTest.getSymbol() );
		assertEquals( 61, toTest.getCode() );

		aux = reader.readNonBlankChar();
		pointingToken = new Pointing();
		toTest = pointingToken.readPointing( aux, reader );
		assertEquals( "\\n", toTest.getSymbol() );
		assertEquals( 61, toTest.getCode() );

	}
}
