/*
 * Copyright (c) 2002-2006 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.common.url;

import org.ourgrid.common.config.Configuration;
import org.ourgrid.common.config.CorePeerConfiguration;
import org.ourgrid.common.fd.AbstractFailureDetector;

/**
 * Provides URLs to ourgrid core peer remote objects.
 */
public class CorePeerURLProvider {

	public static final String COREPEER_OBJECT_NAME = "CorePeer";

	public static final String SHUTDOWN_MANAGER = "ShutdownManager";

	public static final String COREPEER_UI_MANAGER = "CorePeerUIManager";


	private static String getPort() {

		return Configuration.getInstance().getProperty( CorePeerConfiguration.PROP_PORT );
	}


	private static String getCorePeerMachine() {

		return Configuration.getInstance().getProperty( CorePeerConfiguration.PROP_NAME );
	}


	public static String corePeer() {

		return "rmi://" + getCorePeerMachine() + ":" + getPort() + "/" + COREPEER_OBJECT_NAME;
	}


	public static String peerExternalURL() {

		return "rmi://" + getExternalMachineName() + ":" + getPort() + "/" + COREPEER_OBJECT_NAME;
	}


	private static String getExternalMachineName() {

		return Configuration.getInstance().getProperty( CorePeerConfiguration.PROP_NAME );
	}


	public static String corePeerFailureDetector() {

		return "rmi://" + getExternalMachineName() + ":" + getPort() + "/" + AbstractFailureDetector.BOUND_NAME;
	}


	public static String CorePeerUIManager() {

		return "rmi://" + getExternalMachineName() + ":" + getPort() + "/" + COREPEER_UI_MANAGER;
	}

}
