/*
 * Copyright (c) 2002-2004 Universidade Federal de Campina Grande
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.ourgrid.common.url;

import java.net.URI;
import java.net.URISyntaxException;

import org.ourgrid.common.config.Configuration;

public class URLProvider {

	public static String getName() {

		return Configuration.getInstance().getProperty( Configuration.PROP_NAME );

	}


	public static String getPort() {

		return Configuration.getInstance().getProperty( Configuration.PROP_PORT );
	}


	public static String getExternalName() {

		String name = Configuration.getInstance().getProperty( Configuration.PROP_EXTERNAL_NAME );
		if ( name != null ) {
			return name;
		}
		return getName();
	}


	public static int getPort( String rmiAddress ) throws URISyntaxException {

		URI uri = new URI( rmiAddress );
		int port = uri.getPort();
		return port;

	}


	public static String getHost( String rmiAddress ) throws URISyntaxException {

		String host = null;
		URI uri = new URI( rmiAddress );
		host = uri.getHost();
		return host;

	}


	public static String getScheme( String rmiAddress ) throws URISyntaxException {

		String host = null;
		URI uri = new URI( rmiAddress );
		host = String.valueOf( uri.getScheme() );
		return host;

	}


	public static String getFullURL( String rmiAddress, String serviceName ) throws URISyntaxException {

		String retUrl = getScheme( rmiAddress ) + "://" + getHost( rmiAddress ) + ":" + getPort( rmiAddress );
		if ( serviceName != null && !serviceName.equals( "" ) ) {
			retUrl += "/" + serviceName;
		}
		return retUrl;
	}

}
