/*
 * Copyright (c) 2002-2004 Universidade Federal de Campina Grande
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.ourgrid.common.url;

import junit.framework.TestCase;

import org.ourgrid.test.CommonTest;

public class URLProviderTest extends TestCase implements CommonTest {

	private int testPort = 1111;

	private String testHost = "localhost.domain";

	private String testScheme = "rmi";

	private String rmiAddress = testScheme + "://" + testHost + ":" + testPort + "/Name";


	protected void setUp() throws Exception {

		super.setUp();
	}


	protected void tearDown() throws Exception {

		super.tearDown();
	}


	public void testGetPort() throws Exception {

		int port = URLProvider.getPort( rmiAddress );
		assertTrue( port == testPort );

	}


	public void testGetHost() throws Exception {

		String host = URLProvider.getHost( rmiAddress );
		assertEquals( host, testHost );

	}


	public void testGetScheme() throws Exception {

		String scheme = URLProvider.getScheme( rmiAddress );
		assertEquals( scheme, testScheme );

	}

}
