/*
 * Copyright (c) 2002-2006 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.corepeer;

import java.net.MalformedURLException;
import java.rmi.RemoteException;
import java.util.Map;

import org.ourgrid.common.fd.GenericState;
import org.ourgrid.common.fd.MonitoringUnit;
import org.ourgrid.common.fd.Notifiable;
import org.ourgrid.common.fd.State;
import org.ourgrid.corepeer.fd.CorePeerFailureDetector;

public class FakeFailureDetector extends CorePeerFailureDetector {

	private static final long serialVersionUID = 33L;


	public FakeFailureDetector( int queryFrequence ) throws RemoteException {

		super( queryFrequence );
	}


	public void register( Notifiable notifiable, String monitorableAddress ) throws RemoteException,
		MalformedURLException {

		notifiable.notifyMonitorableStateChange( monitorableAddress, new GenericState( State.UP ) );
	}


	public void register( Notifiable notifiable, String monitorableAddress, boolean imediatePing )
		throws RemoteException, MalformedURLException {

		register( notifiable, monitorableAddress );
	}


	public void unregister( Notifiable notifiable, String monitorableAddress ) throws RemoteException {

	}


	public void unregister( Notifiable notifiable ) throws RemoteException {

	}


	public void startMonitoring() throws RemoteException {

	}


	public Map<String,MonitoringUnit> getMonitorables() throws RemoteException {

		return null;
	}

}
