/*
 * Copyright (c) 2002-2004 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.corepeer.ui;

import java.rmi.RemoteException;

/**
 * This class is responsible to put the OurGrid CorePeer up.
 */
public class CorePeerStarter implements Command {

	public void run( String[ ] params, UIManager manager ) {

		try {
			if ( CorePeerUIManager.getInstance().isCorePeerRunning() ) {
				System.err.println( UIMessages.COREPEER_IS_ALREADY_RUNNING );
				System.exit( ErrorCode.ALREADY_RUNNING );
			} else {
				System.out.println( UIMessages.STARTING_COREPEER );
				manager.startCorePeerService();
				System.out.println( UIMessages.COREPEER_IS_UP_RUNNING );
			}

		} catch ( RemoteException e ) {
			System.out.println( "Could not start the CorePeer." );
			System.exit( ErrorCode.COULD_NOT_START_COREPEER );
		}
	}
}
