/*
 * Copyright (c) 2002-2004 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.corepeer.ui;

import java.util.Collection;

import org.ourgrid.common.id.ObjectID;

/**
 * This class is responsible to show OurGrid CorePeer status..
 */
public class CorePeerStatus implements Command {

	public void run( String[ ] params, UIManager manager ) {

		try {
			Collection<ObjectID> peersNames = manager.statusCorePeerService();
			System.out.println( "CorePeer is UP" );

			if ( peersNames.size() == 0 ) {
				System.out.println( "There are no Peers in the community" );
			} else {
				System.out.println( "Know peers list:" );
				for ( ObjectID peerID : peersNames ) {
					System.out.println( peerID );
				}
			}
			System.exit( ErrorCode.OK );
		} catch ( Exception e ) {
			System.out.println( "CorePeer is DOWN" );
			System.exit( ErrorCode.COREPEER_IS_DOWN );
		}

	}

}
