/*
 * Copyright (c) 2002-2005 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.gridmachine.exception;

import org.ourgrid.common.exception.OurgridException;

public abstract class FailCauseException extends OurgridException {

	/**
	 * Serial Version UID.
	 */
	private static final long serialVersionUID = 33L;


	public FailCauseException() {

		super( null, null );
	}


	public FailCauseException( Throwable newDetail ) {

		super( null, newDetail );

	}


	public FailCauseException( String message ) {

		super( message, null );

	}


	public FailCauseException( String message, Throwable newDetail ) {

		super( message, newDetail );
	}


	/**
	 * Used to acquire a simple message determining the fail cause.
	 * 
	 * @return String with the cause.
	 */
	public abstract String getSimpleMessage();

}
