/*
 * Copyright (c) 2002-2006 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.gridmachine.exception;

import java.text.MessageFormat;

public class UnableToExecuteException extends FailCauseException {

	private static final long serialVersionUID = 33L;

	private String commmand = "";

	private String gumID = "";


	public UnableToExecuteException( String gridMachineID, Throwable detail, String command ) {

		super( "GridMachine: " + gridMachineID + " Command: " + command, detail );
		this.gumID = gridMachineID;
	}


	public UnableToExecuteException( String gridMachineID, String command ) {

		super( "GridMachine: " + gridMachineID + " Command: " + command );
		this.commmand = command;
		this.gumID = gridMachineID;

	}


	public UnableToExecuteException( String gridMachineName, Throwable detail ) {

		super( "GridMachine: " + gridMachineName, detail );
		this.gumID = gridMachineName;
	}


	/**
	 * Returns the exception message.
	 * 
	 * @return The message of this excpetion
	 */
	public String getMessage() {

		Object params[] = { commmand, gumID };
		return MessageFormat.format( super.getMessage(), params );
	}


	@Override
	public String getSimpleMessage() {

		return "Grid Machine was unable to normally execution of your task.";
	}

}
