/*
 * Copyright (c) 2002-2006 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.gridmachine.services.creators;

import java.net.MalformedURLException;
import java.rmi.NotBoundException;
import java.rmi.RemoteException;

import org.ourgrid.common.gum.Gum;
import org.ourgrid.common.spec.GumSpec;

/**
 * This interface is responsible for providing a way of creating GuMs according
 * to a given GuMSpec.
 */
public interface GumCreator {

	/**
	 * Creates a GridMachine according to a given GuM specification.
	 * 
	 * @param gumSpec The gum specification
	 * @return the created gum.
	 * @throws NotBoundException
	 * @throws RemoteException
	 * @throws MalformedURLException
	 */
	public Gum createGuM( GumSpec gumSpec ) throws MalformedURLException, RemoteException, NotBoundException;

}
