/*
 * Copyright (c) 2002-2006 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.gridmachine.services.validators;

import org.ourgrid.common.spec.GumSpec;

/**
 * This interface provides a way of validating a GuMSpec. <br>
 */
public interface GumSpecValidator {

	/**
	 * Verifies if a GuMSpec is valid.
	 * 
	 * @return true if the GuMSpecValidator considers gumSpec valid and false
	 *         otherwise.
	 * @param gumSpec The grid machine specification.
	 */
	public boolean isValid( GumSpec gumSpec );

}
