/*
 * Copyright (c) 2002-2006 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.gridmachine.useragent.exception;

import org.ourgrid.common.exception.OurgridException;

/**
 * This exception should be thrown when any problem happens at the pause action
 * of the UserAgent activity. A pause action is usable when the machine is
 * detected NOT idle - meaning that the user do not want to share hers machine
 * at the time her is using the machine.
 */
public class UserAgentPauseException extends OurgridException {

	private static final long serialVersionUID = 33L;


	public UserAgentPauseException() {

		super();
	}


	public UserAgentPauseException( String message, Throwable newDetail ) {

		super( message, newDetail );
	}


	public UserAgentPauseException( String message ) {

		super( message );
	}


	public UserAgentPauseException( Throwable newDetail ) {

		super( newDetail );
	}

}
