/*
 * Copyright (c) 2002-2004 Universidade Federal de Campina Grande
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.ourgrid.gridmachine.useragent.fd;

import java.rmi.RemoteException;

import org.ourgrid.common.config.UserAgentConfiguration;
import org.ourgrid.common.fd.AbstractFailureDetector;
import org.ourgrid.common.fd.GenericState;
import org.ourgrid.common.gum.Gum;
import org.ourgrid.common.gum.GumStateFD;

public class UserAgentFailureDetector extends AbstractFailureDetector {

	/**
	 * Serial Version
	 */
	private static final long serialVersionUID = 33L;

	/** Logger (log4j) object to store log events */
	static transient final org.apache.log4j.Logger LOG = org.apache.log4j.Logger
			.getLogger( UserAgentFailureDetector.class );

	private Gum ua;


	public UserAgentFailureDetector( Gum userAgent ) throws RemoteException {

		this( UserAgentConfiguration.QUERY_FREQ, userAgent );
	}


	public UserAgentFailureDetector( int queryFrequency, Gum userAgent ) throws RemoteException {

		super( queryFrequency );
		this.ua = userAgent;
	}


	public GenericState getCurrentState() throws RemoteException {

		return new GumStateFD( ua.getStatus() );
	}

}
