/*
 * Copyright (c) 2002-2004 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.gridmachine.useragent.ui;

import static org.ourgrid.gridmachine.useragent.ui.UIErrors.OK;
import static org.ourgrid.gridmachine.useragent.ui.UIMessages.CHECKING_STATUS;

import java.rmi.RemoteException;

import org.ourgrid.common.gum.GumStatus;

/**
 * This class is responsible to show OurGrid UserAgent status..
 */
public class UAStatus implements Command {

	public void run( String[ ] params, UIManager manager ) {

		try {
			System.out.println( CHECKING_STATUS.getMessage() );

			GumStatus uaState = manager.statusUserAgentService();

			System.out.print( "Gum is: [ " );

			if ( uaState.equals( GumStatus.CONTACTING ) )
				System.out.println( GumStatus.CONTACTING + " ]" );
			else if ( uaState.equals( GumStatus.UP ) )
				System.out.println( GumStatus.UP + " ]" );
			else if ( uaState.equals( GumStatus.OWNER ) )
				System.out.println( GumStatus.OWNER + " ]" );
			System.exit( OK.getExitCode() );
		} catch ( RemoteException e ) {
			System.out.println( GumStatus.CONTACTING + " ]" );
			System.exit( OK.getExitCode() );
		}

	}

}
