/*
 * Copyright (c) 2002-2004 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.gridmachine.useragent.ui;

import java.net.MalformedURLException;
import java.rmi.NotBoundException;
import java.rmi.RemoteException;

/**
 * This class is responsible to put the OurGrid Useragent down.
 */
public class UAStopper implements Command {

	public void run( String[ ] params, UIManager manager ) {

		try {
			manager.stopUserAgentService();
		} catch ( RemoteException e ) {
			UIMessages.exitError( UIErrors.USERAGENT_IS_DOWN );
		} catch ( MalformedURLException e ) {
			UIMessages.exitError( UIErrors.MALFORMED_URL );
		} catch ( UserAgentUIException e ) {
			UIMessages.exitError( UIErrors.USERAGENT_ALREADY_DOWN );
		} catch ( NotBoundException e ) {
			UIMessages.exitError( UIErrors.UNBOUNDED_OBJECT );
		}

	}

}
