/*
 * Copyright (c) 2002-2006 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.mygrid.fd;

import java.rmi.RemoteException;

import org.ourgrid.common.fd.AbstractFailureDetector;
import org.ourgrid.common.fd.GenericState;
import org.ourgrid.common.fd.MonitoringUnitFactory;
import org.ourgrid.common.fd.State;

public class MyGridFailureDetector extends AbstractFailureDetector {

	/**
	 * Serial version
	 */
	private static final long serialVersionUID = 33L;


	public MyGridFailureDetector( MonitoringUnitFactory monitoringUnitFactory ) throws RemoteException {

		super( monitoringUnitFactory );
	}


	public MyGridFailureDetector( int queryFrequence ) throws RemoteException {

		super( queryFrequence );
	}


	@Override
	public GenericState getCurrentState() throws RemoteException {

		return new GenericState( State.UP );
	}

}
