/*
 * Copyright (c) 2002-2006 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.mygrid.replicaexecutor.exception;

import org.ourgrid.gridmachine.exception.FailCauseException;

/**
 * Description: Thrown whenever a replica cannot be concluded.
 * 
 * @version 1.0 Created on 13/07/2004
 */
public class UnableToFinishReplicaException extends Exception {

	private static final long serialVersionUID = 33L;

	private FailCauseException cause;


	/**
	 * Constructor
	 * 
	 * @param message Description of what has happened
	 * @param cause Possible cause of the problem
	 */
	public UnableToFinishReplicaException( String message, FailCauseException cause ) {

		super( message, cause );
		this.cause = cause;

	}


	public FailCauseException getFailCause() {

		return this.cause;
	}
}
