/*
 * Copyright (c) 2002-2006 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.mygrid.replicaexecutor.test;

import org.ourgrid.common.event.ActionEvent;
import org.ourgrid.common.event.EventQueue;
import org.ourgrid.common.event.ShutdownResponseEvent;
import org.ourgrid.mygrid.replicaexecutor.EBReplicaManager;
import org.ourgrid.mygrid.replicaexecutor.PermissionManager;
import org.ourgrid.mygrid.replicaexecutor.ReplicaExecutorEventEngine;
import org.ourgrid.mygrid.replicaexecutor.ReplicaExecutorThreadManager;
import org.ourgrid.mygrid.scheduler.EBSchedulerFacade;

/**
 * Description: A fake class to be used by unit tests.
 * 
 * @version 1.0 Created on 13/07/2004
 */
class FakeReplicaExecutorEventEngine extends ReplicaExecutorEventEngine {

	private EBReplicaManager ebReplicaManager;

	private ReplicaExecutorThreadManager threadManager;

	private PermissionManager permissionManager;


	public FakeReplicaExecutorEventEngine( EBSchedulerFacade ebSchedulerFacade,
											ReplicaExecutorThreadManager threadManager ) {

		this.threadManager = threadManager;
		permissionManager = new PermissionManager();
		ebReplicaManager = new EBReplicaManager( ebSchedulerFacade, threadManager, permissionManager );

	}


	@Override
	public void startProcessing() {

	}


	@Override
	public void putEvent( ActionEvent event ) {

		event.process();

	}


	@Override
	public void run() {

	}


	@Override
	public void shutdown( EventQueue<ShutdownResponseEvent> eq ) {

	}


	@Override
	public EBReplicaManager getEBReplicaManager() {

		return ebReplicaManager;

	}


	protected PermissionManager getPermissionManager() {

		return permissionManager;

	}


	protected ReplicaExecutorThreadManager getThreadManager() {

		return threadManager;

	}
}
