/*
 * Copyright (c) 2002-2006 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.mygrid.replicaexecutor.test;

import org.ourgrid.common.spec.IOBlock;
import org.ourgrid.common.spec.TaskSpec;
import org.ourgrid.common.spec.exception.TaskSpecificationException;

/**
 * Description: a fake class to be used by unit tests
 * 
 * @version 1.0 Created on 14/07/2004
 */
public class FakeTaskSpec extends TaskSpec {

	private static final long serialVersionUID = 33L;


	public static FakeTaskSpec getFakeTaskSpec() {

		try {

			return new FakeTaskSpec();

		} catch ( TaskSpecificationException e ) {

		}

		return null;
	}


	public FakeTaskSpec() throws TaskSpecificationException {

		super( null, "FAKE", null );

	}


	public String getFinalExec() {

		return "echo final";

	}


	public String getInitExec() {

		return "echo init";

	}


	public IOBlock getInitBlock() {

		return new IOBlock();

	}


	public IOBlock getFinalBlock() {

		return new IOBlock();

	}


	public String getRemoteExec() {

		return "echo remote";

	}

}
