/*
 * Copyright (c) 2002-2006 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.mygrid.scheduler.event;

import java.util.Collection;

import org.ourgrid.common.event.ResponseEvent;

/**
 * An event that contains the list of jobs retrieved from the
 * <code>EBJobManager</code>.
 */
class JobListResponseEvent implements ResponseEvent {

	/** The list of jobs retrieved from the <code>EBJobManager</code>. * */
	private Collection myJobList;

	private static final long serialVersionUID = 33L;


	/**
	 * The constructor.
	 * 
	 * @param jobList The list of jobs of the <code>EBJobManager</code>.
	 */
	public JobListResponseEvent( Collection jobList ) {

		myJobList = jobList;
	}


	/**
	 * A response object containing the job list of the
	 * <code>EBJobManager</code>. All objects in this list are clones.
	 */
	public Object getResponse() {

		return myJobList;
	}

}
