package org.ourgrid.mygrid.scheduler.event;

import org.ourgrid.common.spec.PeerSpec;
import org.ourgrid.mygrid.event.GridManagerNotifyEvent;
import org.ourgrid.mygrid.scheduler.EBSchedulingHeuristic;
import org.ourgrid.mygrid.scheduler.gridmanager.GridManager;

public class PeerAliveNotifyEvent implements GridManagerNotifyEvent {

	/**
	 * Serial Version
	 */
	private static final long serialVersionUID = 33L;

	private GridManager gridManager;

	private PeerSpec peerSpec;

	private EBSchedulingHeuristic heuristic;


	public PeerAliveNotifyEvent( EBSchedulingHeuristic ebSchedulingHeuristic, GridManager gridManager, PeerSpec spec ) {

		this.gridManager = gridManager;
		this.peerSpec = spec;
		this.heuristic = ebSchedulingHeuristic;
	}


	public void process() {

		gridManager.peerAlive( peerSpec );
		heuristic.newPeersHaveBeenSet();
	}

}
