package org.ourgrid.mygrid.scheduler.event;

import org.ourgrid.common.event.DummyEvent;
import org.ourgrid.common.event.EventQueue;
import org.ourgrid.common.event.ResponseEvent;
import org.ourgrid.common.event.ThrowableEvent;
import org.ourgrid.mygrid.event.JobRequestEvent;
import org.ourgrid.mygrid.scheduler.exception.JobCannotBeRemovedException;
import org.ourgrid.mygrid.scheduler.jobmanager.JobManager;

public class RemoveJobRequestEvent implements JobRequestEvent {

	private static final long serialVersionUID = 33L;

	private final JobManager jobManager;

	private final int jobId;

	private final EventQueue<ResponseEvent> responseQueue;


	public RemoveJobRequestEvent( int jobId, JobManager jobManager, EventQueue<ResponseEvent> responseQueue ) {

		this.jobId = jobId;
		this.jobManager = jobManager;
		this.responseQueue = responseQueue;

	}


	public void process() {

		try {
			jobManager.removeJob( this.jobId );
			responseQueue.put( new DummyEvent() );

		} catch ( JobCannotBeRemovedException e ) {

			responseQueue.put( new ThrowableEvent( e ) );
		}
	}

}
