package org.ourgrid.mygrid.scheduler.gridmanager;

import java.util.Collection;
import java.util.HashMap;
import java.util.List;

import org.ourgrid.common.gum.GumClient;
import org.ourgrid.common.id.GumID;
import org.ourgrid.common.id.ObjectID;
import org.ourgrid.common.spec.GumSpec;
import org.ourgrid.common.spec.PeerSpec;
import org.ourgrid.mygrid.scheduler.BlackListManager;
import org.ourgrid.mygrid.scheduler.PeerEntry;
import org.ourgrid.mygrid.scheduler.jobmanager.ReplicaEntry;

public interface GridManager {

	public void addNewListener( GridManagerListenerRemote listener );


	public void allocate( GumID gumID, ReplicaEntry replica );


	public void cancelRequests( int jobId );


	public boolean canGumBeAllocatedToTask( GumID gumID, int jobID, int taskID );


	public void deleteGum( GumID gumID );


	public void dispose( GumID gumID );


	public HashMap<GumID,GridManagerEntry> getAllGumEntries();


	public List getAvailableAndValidGums();


	public List<GumClient> getAvailableGuMs( int jobID, int taskID );


	public BlackListManager getEBBlackListManager();


	public Collection<GridManagerEntry> getGumEntries();


	public Collection<GumSpec> getGumSpecs();


	public Collection<PeerEntry> getPeerEntries();


	public void ready( GumID gumID );


	public void hereIsGum( GumClient gumClient, long requestID, ObjectID peerBrokerAccessID );


	public void initiateBlackListForJob( int jobId, int jobSize );


	public void needGums( int jobId, String requirements, int numRequiredGums );


	public void pauseRequest( int jobId );


	public void peerAlive( PeerSpec peerSpec );


	public void peerIsDead( PeerSpec peerSpec );


	public void resumeRequest( int jobId );


	public void setPeers( Collection<PeerSpec> peerSpecs );


	public void shutdown();


	public boolean unwantedGum( GumID gumID, int jobID );


	public boolean updateBlackList( int jobID, int taskID, GumID gumID );


	public void removeListener( GridManagerListenerRemote listener );
}
