package org.ourgrid.mygrid.scheduler.gridmanager;

import java.rmi.Remote;
import java.rmi.RemoteException;
import java.util.Collection;

import org.ourgrid.common.id.GumID;
import org.ourgrid.common.id.ObjectID;
import org.ourgrid.common.spec.GumSpec;
import org.ourgrid.common.spec.PeerSpec;
import org.ourgrid.mygrid.scheduler.jobmanager.MyGridDownListener;
import org.ourgrid.mygrid.scheduler.jobmanager.ReplicaEntry;

public interface GridManagerListenerRemote extends Remote, MyGridDownListener {

	void hereIsGum( GumSpec spec, int jobID, ObjectID peerBrokerAccessID ) throws RemoteException;


	void setPeers( Collection<PeerSpec> peerSpecs ) throws RemoteException;


	void deleteGum( GumID gumID ) throws RemoteException;


	void allocate( GumID gumID, ReplicaEntry replica ) throws RemoteException;


	void gumIsReady( GumID gumID ) throws RemoteException;


	void peerAlive( PeerSpec peerSpec ) throws RemoteException;


	void peerIsDead( PeerSpec peerSpec ) throws RemoteException;
}
