/*
 * Copyright (c) 2002-2006 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.mygrid.scheduler.test;

import java.rmi.RemoteException;

import junit.framework.TestCase;

import org.easymock.classextension.EasyMock;
import org.ourgrid.common.gump.Gump;
import org.ourgrid.mygrid.scheduler.JobRequestEntry;
import org.ourgrid.test.SchedulerFastTest;

/**
 * JobRequestEntryTest
 */
public class JobRequestEntryTest extends TestCase implements SchedulerFastTest {

	/**
	 * Creates a new JobRequestEntryTest
	 * 
	 * @param name Test name
	 */
	public JobRequestEntryTest( String name ) {

		super( name );
	}


	/**
	 * Creates a JobRequestEntry, adds three request and cancels them.
	 */
	public void testCancelRequests() throws RemoteException {

		int jobId = 1;
		int requestId = 1;

		// Creating the mockGump
		Gump mockGump = EasyMock.createMock( Gump.class );
		mockGump.finishRequestGums( requestId );
		EasyMock.expectLastCall().once();

		EasyMock.replay( mockGump );

		JobRequestEntry jobReq = new JobRequestEntry( jobId, 1 );
		jobReq.addPeer( mockGump );
		jobReq.cancelRequests();

		EasyMock.verify( mockGump );
	}

}
