package org.ourgrid.mygrid.scheduler.test;

import org.ourgrid.common.exception.UnavailableGumException;
import org.ourgrid.common.executor.ExecutorHandle;
import org.ourgrid.common.executor.ExecutorResult;
import org.ourgrid.common.gum.Gum;
import org.ourgrid.common.spec.GumSpec;
import org.ourgrid.gridmachine.exception.UnableToExecuteException;
import org.ourgrid.gridmachine.useragent.UserAgentClient;

public class SleeperFakeUserAgentClient extends UserAgentClient {

	private int sleep;

	private static final long serialVersionUID = 33L;


	public SleeperFakeUserAgentClient( Gum gum, GumSpec gumSpec ) {

		super( gum, gumSpec );
		sleep = 100;
	}


	@Override
	public ExecutorResult getResult( ExecutorHandle handle ) throws UnavailableGumException, UnableToExecuteException {

		try {
			Thread.sleep( sleep );
		} catch ( InterruptedException e ) {
			throw new AssertionError( "" );
		}
		return super.getResult( handle );
	}


	public void setSleep( int s ) {

		this.sleep = s;
	}

}
