package org.ourgrid.mygrid.ui;

import java.rmi.RemoteException;

import junit.framework.TestCase;

import org.ourgrid.common.config.ConfigException;
import org.ourgrid.common.config.Configuration;
import org.ourgrid.mygrid.ui.exception.MyGridIsAlreadyRunningException;
import org.ourgrid.mygrid.ui.exception.NotExecutingInHomeMachine;
import org.ourgrid.mygrid.ui.exception.StartingMyGridException;
import org.ourgrid.test.GUITest;
import org.ourgrid.test.TestUtils;

public class MyGridUIManagerTest extends TestCase implements GUITest {

	private TestUtils testUtils;


	@Override
	protected void setUp() throws Exception {

		testUtils = new TestUtils();
		testUtils.load();
		testUtils.createMGProperties();

		Configuration.getInstance( Configuration.MYGRID );

		MyGridUIManager.reset();
	}


	@Override
	protected void tearDown() throws Exception {

		MyGridUIManager.reset();
	}


	/*
	 * Test method for
	 * 'org.ourgrid.mygrid.ui.MyGridUIManager.startMyGridService()'
	 */
	public void testStartStop1() throws Exception {

		MyGridUIManager.getInstance().startMyGridService();

		MyGridUIManager.getInstance().stopMyGridService( false, false );
	}


	/*
	 * Test method for
	 * 'org.ourgrid.mygrid.ui.MyGridUIManager.stopMyGridService()'
	 */
	public void testStop2() throws RemoteException, NotExecutingInHomeMachine, MyGridIsAlreadyRunningException,
		StartingMyGridException, MyGridIsNotRunningException, ConfigException {

		MyGridUIManager.getInstance().startMyGridService();

		try {
			MyGridUIManager.getInstance().startMyGridService();
			fail( "Should throw " + MyGridIsAlreadyRunningException.class.getSimpleName() );
		} catch ( MyGridIsAlreadyRunningException e ) {
		}

		MyGridUIManager.getInstance().stopMyGridService( false, false );

		try {
			MyGridUIManager.getInstance().stopMyGridService( false, false );
			fail( "Should throw " + MyGridIsNotRunningException.class.getSimpleName() );
		} catch ( MyGridIsNotRunningException e ) {
		}
	}

}
