/*
 * Copyright (c) 2002-2006 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.mygrid.ui.command;

import org.ourgrid.common.config.Configuration;
import org.ourgrid.mygrid.ui.UIManager;

public class JobCleaner implements Command {

	/** Logger (log4j) object to store log events */
	private static transient final org.apache.log4j.Logger LOG = org.apache.log4j.Logger.getLogger( JobCleaner.class );

	private UIManager manager;


	public JobCleaner( UIManager manager ) {

		this.manager = manager;
	}


	public int run( String[ ] params ) {

		Configuration.getInstance( Configuration.MYGRID );

		try {
			if ( params.length == 0 ) {
				System.out.println( UIMessages.CLEANING_FINISHED_JOBS );
				manager.cleanFinishedJobs();
				System.out.println( UIMessages.JOBS_SUCESSFULLY_CLEANED );
			} else {
				System.out.println( UIMessages.REMOVING_JOB );
				manager.removeJob( Integer.parseInt( params[0] ) );
				System.out.println( UIMessages.JOB_SUCESSFULLY_REMOVED );
			}

			return ErrorCode.OK;
		} catch ( Exception e ) {
			LOG.error( UIMessages.COULD_NOT_CLEAN_JOBS );
			LOG.error( UIMessages.ERROR_CAUSE + e.getMessage() );
			System.err.println( UIMessages.COULD_NOT_CLEAN_JOBS );
			System.err.println( UIMessages.ERROR_CAUSE + e.getMessage() );
		}
		return ErrorCode.COULD_NOT_CLEAN_JOBS;
	}


	public boolean configureEnvironment() {

		return true;
	}

}
