/*
 * Copyright (c) 2002-2006 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.mygrid.ui.command;

import org.ourgrid.common.config.Configuration;
import org.ourgrid.common.config.MyGridConfiguration;

/**
 * Description: A class with all messagens that are showed to the user.
 * 
 * @version 1.0 Created on 10/08/2004
 */
public class UIMessages {

	public static final String ADDING_JOB_FILE = "Loading job file";

	public static final String CANCELLING_JOB = "Cancelling job ";

	public static final String CANNOT_ADD_JOBS_OUTSIDE_HOME_MACHINE = "Cannot add jobs outside the home machine";

	public static final String CANNOT_DETERMINE_HOME_MACHINE = "Cannot determine home machine host name";

	public static final String CANNOT_REMOVE_JOB = "The job cannot be removed since it's still running";

	public static final String CANNOT_START_MYGRID_GUI = "Cannot start MyGrid Graphical User Interface";

	public static final String CANNOT_START_MYGRID_OUTSIDE_THE_HOME_MACHINE = "Cannot start outside the home machine!";

	public static final String CLEANING_FINISHED_JOBS = "Cleaning finished jobs.";

	public static final String COULD_NOT_CLEAN_JOBS = "MyGrid error: could not clean job(s)";

	public static final String COULD_NOT_LOOKUP_MYGRID_REMOTE_OBJECTS = "Could not lookup MyGrid remote objects!";

	public static final String COULD_NOT_VERIFY_IF_MYGRID_IS_RUNNING = "Could not verify if MyGrid is Up and Running! \n Try with mygrid status or see MyGrid logs for details.";

	public static final String COULD_NOT_WAIT_FOR_JOB = "MyGrid error: could not wait for job";

	public static final String CREATEING_NEW_MG_PROP = "Creating a new one... ";

	public static final String ERROR_CAUSE = "Error cause: ";

	public static final String ERROR_COPYING_LOG_PROP = "Wizard failed trying to write log properties file.";

	public static final String ERROR_STARTING_MYGRID = "Error starting MyGrid ";

	public static final String GRID_COULD_NOT_BE_LOADED = "MyGrid error: grid could not be loaded";

	public static final String GRID_SUCCESSFULLY_LOADED = "Grid successfully loaded";

	public static final String JOB_COULD_NOT_BE_CANCELLED = "Job could not be canceled!";

	public static final String JOB_EXECUTION_DONE = "Job execution done";

	public static final String JOB_NOT_FOUND = "Job not found!";

	public static final String JOB_SUCCESSFULLY_ADDED = "Job successfully added";

	public static final String JOB_SUCCESSFULLY_CANCELLED = "Job successfully canceled.";

	public static final String JOB_SUCESSFULLY_REMOVED = "Job successfully removed!";

	public static final String JOBADDER_USAGE = "Usage: java -classpath YOUR_CLASS_PATH JobAdder jobDescriptionFilePath";

	public static final String JOBCANCELLER_USAGE = "Usage: java -classpath YOUR_CLASS_PATH JobCanceller jobId";

	public static final String JOBEXPECTER_USAGE = "Usage: java -classpath YOUR_CLASS_PATH JobExpecter jobId";

	public static final String JOBS_SUCESSFULLY_CLEANED = "Jobs list successfully cleaned!";

	public static final String LOADING_GRID_DESCRIPTION_FILE = "Loading grid description file";

	public static final String MG_PROPERTIES_NOT_FOUND = "File 'mg.properties' was not found at '"
			+ MyGridConfiguration.ROOT_DIR + "'!";

	public static final String MYGRID_COULD_NOT_BE_STOPPED = "MyGrid could not be stopped";

	public static final String MYGRID_IS_ALREADY_RUNNING = "Mygrid is already running";

	public static final String MYGRID_IS_ALREADY_STOPPED = "already down";

	public static final String MYGRID_IS_NOT_RUNNING = "MyGrid is not running!";

	public static final String MYGRID_IS_UP_AND_RUNNING = "MyGrid " + Configuration.VERSION + " is up and running. ";

	public static final String MYGRID_NOT_STARTED = "MyGrid not started";

	public static final String MYGRID_NOT_STOPPED = "MyGrid not stopped";

	public static final String MYGRID_SUCCESSFULLY_STOPPED = "MyGrid was successfully stopped!";

	public static final String MYGRIDSETTER_USAGE = "Usage: java -classpath YOUR_CLASS_PATH GridSetter gridDescriptionFilePath";

	public static final String MYGRIDSTARTER_USAGE = "Usage: java -classpath YOUR_CLASS_PATH Starter";

	public static final String MYGRIDSTOPPER_USAGE = "Usage: java -classpath YOUR_CLASS_PATH Stopper";

	public static final String REMOVING_JOB = "Removing job.";

	public static final String STARTING_MYGRID = "Starting MyGrid " + Configuration.VERSION + "...";

	public static final String STARTING_MYGRID_GUI = "Starting MyGrid GUI ...";

	public static final String STOPPING_MYGRID = "Shutting down MyGrid " + Configuration.VERSION + " ...";

	public static final String THE_DESCRIPTION_FILE_IS_EMPTY = "MyGrid error: description file is empty!";

	public static final String THE_JOB_COULD_NOT_BE_ADDED = "Job could not be added";

	public static final String THE_JOB_COULD_NOT_BE_CANCELLED = "MyGrid error: job could not be canceled.";

	public static final String WAITING_FOR_JOB = "Waiting for job";

}
