package org.ourgrid.mygrid.ui.gui;

import java.util.LinkedList;

import junit.framework.TestCase;

import org.easymock.classextension.EasyMock;
import org.ourgrid.mygrid.scheduler.PeerEntry;
import org.ourgrid.mygrid.scheduler.gridmanager.GridManagerEntry;
import org.ourgrid.mygrid.scheduler.jobmanager.JobEntry;
import org.ourgrid.mygrid.ui.UIManager;
import org.ourgrid.test.GUITest;

public class EBGuiFacadeTest extends TestCase implements GUITest {

	public void testCreation() throws Exception {

		UIManager mockUIManager = EasyMock.createMock( UIManager.class );
		GUIListenerImpl mockListener = EasyMock.createNiceMock( GUIListenerImpl.class );

		EasyMock.expect( mockUIManager.getJobs( mockListener ) ).andReturn( new LinkedList<JobEntry>() );

		EasyMock.expect( mockUIManager.getGumEntries( mockListener ) ).andReturn( new LinkedList<GridManagerEntry>() );

		EasyMock.expect( mockUIManager.getPeerEntries( mockListener ) ).andReturn( new LinkedList<PeerEntry>() );

		EasyMock.replay( mockUIManager );

		EBGuiFacade facade = new EBGuiFacade();

		facade.config( mockUIManager, mockListener );

		EasyMock.verify( mockUIManager );
	}
}
