/*
 * Copyright (c) 2002-2005 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.mygrid.ui.gui;

import javax.swing.tree.DefaultMutableTreeNode;

import org.ourgrid.common.spec.PeerSpec;
import org.ourgrid.mygrid.scheduler.PeerEntry.PeerState;

public class PeerNode extends DefaultMutableTreeNode {

	private static final long serialVersionUID = 33L;

	private PeerSpec spec;

	private PeerState state;


	public PeerNode( PeerSpec spec, PeerState state, String peerInfo ) {

		super( peerInfo );
		this.spec = spec;
		this.state = state;
	}


	public PeerSpec getSpec() {

		return spec;
	}


	public PeerState getState() {

		return state;
	}


	public void setState( PeerState state ) {

		this.state = state;
	}
}
