/*
 * Copyright (c) 2002-2005 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.mygrid.ui.gui;

import org.ourgrid.common.id.GumID;
import org.ourgrid.common.spec.TaskSpec;
import org.ourgrid.mygrid.scheduler.ExecutionStatus;
import org.ourgrid.mygrid.scheduler.ReplicaExecutorResult;
import org.ourgrid.mygrid.scheduler.jobmanager.ReplicaEntry;

public class SimpleReplicaEntry {

	private int jobID;

	private int taskID;

	private int replicaID;

	private TaskSpec spec;

	private ExecutionStatus replicaState;

	private GumID gumID;

	private ReplicaExecutorResult result;


	public SimpleReplicaEntry( ReplicaEntry replicaEntry ) {

		this.jobID = replicaEntry.getJobId();
		this.taskID = replicaEntry.getTaskId();
		this.replicaID = replicaEntry.getId();
		this.spec = replicaEntry.getSpec();
		this.replicaState = replicaEntry.getStatus();
		this.gumID = replicaEntry.getGumID();
		this.result = replicaEntry.getResult();
	}


	public int getJobID() {

		return jobID;
	}


	public int getReplicaID() {

		return replicaID;
	}


	public ExecutionStatus getReplicaState() {

		return replicaState;
	}


	public TaskSpec getSpec() {

		return spec;
	}


	public int getTaskID() {

		return taskID;
	}


	public GumID getGumID() {

		return gumID;
	}


	public ReplicaExecutorResult getResult() {

		return result;
	}
}
