/*
 * Copyright (c) 2002-2005 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.mygrid.ui.gui.event;

import java.rmi.Naming;
import java.rmi.server.UnicastRemoteObject;

import org.ourgrid.common.url.MyGridURLProvider;
import org.ourgrid.mygrid.ui.gui.GUIListenerImpl;

public class GUIMyGridDownNotifyEvent implements GUIActionEvent {

	private static final long serialVersionUID = 33L;

	private GUIListenerImpl listener;


	public GUIMyGridDownNotifyEvent( GUIListenerImpl listener ) {

		this.listener = listener;
	}


	public GUIEventType process() {

		try {
			Naming.unbind( MyGridURLProvider.guiListener() );
			UnicastRemoteObject.unexportObject( listener, true );
		} catch ( Exception e ) {
		}

		return GUIEventType.MYGRIDDOWN;
	}

}
