/*
 * Copyright (c) 2002-2005 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.mygrid.ui.gui.event;

import org.ourgrid.mygrid.scheduler.jobmanager.JobEntry;
import org.ourgrid.mygrid.ui.gui.SimpleSynchronizedJobManager;

public class GuiJobStateChangedNotifyEvent implements GUIActionEvent {

	private static final long serialVersionUID = 33L;

	private JobEntry jobEntry;

	private SimpleSynchronizedJobManager manager;


	public GuiJobStateChangedNotifyEvent( JobEntry jobEntry, SimpleSynchronizedJobManager manager ) {

		this.jobEntry = jobEntry;
		this.manager = manager;
	}


	public GUIEventType process() {

		manager.jobCreated( jobEntry );
		return GUIEventType.JOB;
	}

}
