/*
 * Copyright (c) 2002-2006 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.mygrid.ui.test;

import junit.framework.TestCase;

import org.ourgrid.common.config.Configuration;
import org.ourgrid.mygrid.ui.MyGridUIManager;
import org.ourgrid.mygrid.ui.command.Status;
import org.ourgrid.test.GUITest;
import org.ourgrid.test.SpecialCareTest;
import org.ourgrid.test.TestUtils;

public class MyGridStatusTest extends TestCase implements GUITest, SpecialCareTest {

	private TestUtils testUtils;


	public void setUp() throws Exception {

		testUtils = new TestUtils();
		testUtils.load();
		testUtils.createMGProperties();

		MyGridUIManager.reset();

		Configuration.getInstance( Configuration.MYGRID );

		testUtils.restartMygrid();

	}


	public void testPrintGridStatus() throws Exception {

		Status status = new Status( MyGridUIManager.getInstance() );

		status.printGridStatus( new String[ 0 ] );

		// ID tests
		status.printGridStatus( new String[ ] { "-i=a" } );
		status.printGridStatus( new String[ ] { "-i=1" } );
		status.printGridStatus( new String[ ] { "-i=99999999999999999999999999" } );

		// Label tests
		status.printGridStatus( new String[ ] { "-l=1" } );
		status.printGridStatus( new String[ ] { "-l=AJob" } );
		status.printGridStatus( new String[ ] { "-l=99999999999999999999999999" } );

		// Status tests
		status.printGridStatus( new String[ ] { "-s=a" } );
		status.printGridStatus( new String[ ] { "-s=Running" } );
		status.printGridStatus( new String[ ] { "-i=99999999999999999999999999" } );
	}


	protected void tearDown() throws Exception {

		testUtils.stopMygrid();

		Configuration.reset();

		testUtils.reset();
	}
}
