/*
 * Copyright (c) 2002-2006 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.peer.community;

import java.rmi.Remote;
import java.rmi.RemoteException;
import java.util.Collection;

import org.ourgrid.common.gump.Gump;
import org.ourgrid.common.gump.GumpClient;
import org.ourgrid.common.id.ObjectID;

/**
 * Description:Interface that marks an object as a OurGrid Peer.
 * 
 * @version 1.0 Date27/09/2004
 */
public interface RemoteAccess extends GumpClient, Gump, Remote {

	/**
	 * Receives the know peer list.
	 * 
	 * @param peerList A list of peer ids
	 * @throws RemoteException
	 */
	public void hereIsPeerList( Collection<ObjectID> peerList ) throws RemoteException;


	/**
	 * Joins the OurGrid Community.
	 * 
	 * @throws RemoteException If could not contact the core peer.
	 */
	public void joinCommunity() throws RemoteException;

}
