/*
 * Copyright (c) 2002-2006 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.peer.community.communicationlayer;

import java.util.Collection;

import org.ourgrid.common.id.GumID;
import org.ourgrid.common.id.ObjectID;
import org.ourgrid.common.spec.RequestSpec;

/**
 * Description: The interface that specify how a peer contacts the community.
 */
public interface CommunicationLayer {

	public abstract ObjectID getPeerID();


	public abstract void hereIsPeerList( Collection<ObjectID> peerList );


	public abstract void sendRequest( RequestSpec requestSpec );


	public abstract void finishRequest( long requestID );


	public abstract void disposeOf( GumID gumID, long requestID, ObjectID peerID );


	public abstract void pauseRequest( long requestID );


	public abstract void resumeRequest( long requestID );


	public abstract void unwantedGum( ObjectID gumOwnerID, long requestID, GumID gumID );
}
