/*
 * Copyright (c) 2002-2006 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.peer.community.obtainer;

import org.ourgrid.common.gump.EBGump;
import org.ourgrid.common.gump.EBGumpClient;
import org.ourgrid.common.id.GumID;
import org.ourgrid.common.id.ObjectID;
import org.ourgrid.peer.ebgum.EBGum;
import org.ourgrid.peer.event.HereIsGumNotifyEvent;
import org.ourgrid.peer.event.UnwantedGumGumNotifyEvent;
import org.ourgrid.peer.manager.EBPeerFacade;
import org.ourgrid.peer.manager.EBPeerManagerFacade;
import org.ourgrid.peer.ui.UIManager;

public class EBCommunityObtainerFacade extends EBPeerFacade {

	public void config( EBGumpClient ebGumpClient, UIManager uimanager ) {

		super.ebGump = new EBCommunityObtainer( ebGumpClient, uimanager );
		super.ebGumpClient = ebGumpClient;
	}


	/**
	 * USED IN TESTS!!!!!
	 * 
	 * @param ebGump
	 * @param ebGumpClient
	 */
	public void config( EBGump ebGump, EBGumpClient ebGumpClient ) {

		super.ebGump = ebGump;
		super.ebGumpClient = ebGumpClient;
	}


	public EBPeerManagerFacade getPeerManagerFacade() {

		return (EBPeerManagerFacade) this.ebGumpClient;
	}


	@Override
	public void hereIsGum( EBGum receivedGum, ObjectID gumOwnerObjectID, long requestID ) {

		super.eventProcessor.putEvent( new HereIsGumNotifyEvent( (EBGumpClient) super.ebGump, receivedGum,
				gumOwnerObjectID, requestID ) );
	}


	public void unwantedGum( long requestID, GumID gumID ) {

		super.eventProcessor.putEvent( new UnwantedGumGumNotifyEvent( super.ebGump, requestID, gumID ) );
	}
}
