/*
 * Copyright (c) 2002-2006 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.peer.ebgum;

import java.net.MalformedURLException;
import java.rmi.Naming;
import java.rmi.NotBoundException;
import java.rmi.RemoteException;

import org.ourgrid.common.gum.Gum;
import org.ourgrid.common.spec.GumSpec;
import org.ourgrid.common.url.UserAgentURLProvider;

public class EBGumCreator {

	public static EBGumFacade createGuM( GumSpec spec ) throws RemoteException, MalformedURLException,
		NotBoundException {

		// This is done to permit tests execution
		if ( spec.getAttribute( GumSpec.ATT_TYPE ).equals( GumSpec.TYPE_FAKE_GUM ) )
			return new FakeGumFacade( spec );

		String gumSpecName = spec.getAttribute( GumSpec.ATT_NAME );
		int gumSpecPort = Integer.parseInt( spec.getAttribute( GumSpec.ATT_PORT ) );
		String url = UserAgentURLProvider.userAgent( gumSpecName, gumSpecPort );

		Gum gum = (Gum) Naming.lookup( url );

		EBGumImpl ebGum = new EBGumImpl( gum, spec );
		EBGumFacade facade = new EBGumFacade( ebGum );

		return facade;

	}


	public static EBGumFacade createGuM( Gum gum, GumSpec gumSpec ) {

		EBGumImpl ebGum = new EBGumImpl( gum, gumSpec );
		EBGumFacade facade = new EBGumFacade( ebGum );

		return facade;

	}

}
