/*
 * Copyright (c) 2002-2006 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.peer.ebgum;

import org.ourgrid.common.event.DummyEvent;
import org.ourgrid.common.event.EventQueue;
import org.ourgrid.common.event.ShutdownEventEngine;
import org.ourgrid.common.executor.ExecutorHandle;
import org.ourgrid.common.id.GumID;
import org.ourgrid.common.spec.GumSpec;
import org.ourgrid.peer.manager.FakeEventEngine;

/**
 * This is a fake facade used only for tests.
 */
public class FakeGumFacade extends EBGumFacade {

	private GumSpec spec;


	public FakeGumFacade( EBGum gum, ShutdownEventEngine engine ) {

		super( gum, engine );
	}


	public FakeGumFacade( GumSpec spec ) {

		super( new FakeEBGum( spec ), new FakeEventEngine() );
		this.spec = spec;
	}


	public GumID getID() {

		return this.ebGridMachine.getID();
	}


	public void kill( EventQueue responseQueue, ExecutorHandle taskHandle ) {

		responseQueue.put( new DummyEvent() );
	}


	public void getGuMSpec( EventQueue responseQueue ) {

		// DO NOTHING!
	}


	public boolean equals( Object other ) {

		if ( !(other instanceof FakeGumFacade) )
			return false;
		return spec.equals( ((FakeGumFacade) other).spec );
	}


	public void startReplica( EventQueue responseQueue ) {

		responseQueue.put( new DummyEvent() );
	}


	public void stopReplica( EventQueue responseQueue ) {

		responseQueue.put( new DummyEvent() );
	}

}
