package org.ourgrid.peer.manager;

import java.util.Collection;
import java.util.Comparator;

import org.ourgrid.peer.manager.request.RequestEntry;

/**
 * This is a helper class, which instances will represent remote consumers in
 * the redistribution computations.
 */
public class DistributionHelpEntry {

	private double nofBalance;

	private int gumsToReceive = 0;

	private int gumsCurrentlyAllocated;

	private Collection<RequestEntry> requests;


	public DistributionHelpEntry( double balance, int allocated, Collection<RequestEntry> requests ) {

		this.nofBalance = balance;
		this.gumsCurrentlyAllocated = allocated;
		this.requests = requests;
	}


	public int getGumsToReceive() {

		return gumsToReceive;
	}


	public void setGumsToReceive( int gumsToReceive ) {

		this.gumsToReceive = gumsToReceive;
	}


	public double getNofBalance() {

		return nofBalance;
	}


	public void setNofBalance( double nofBalance ) {

		this.nofBalance = nofBalance;
	}


	public int getGumsCurrentlyAllocated() {

		return gumsCurrentlyAllocated;
	}


	public Collection<RequestEntry> getRequests() {

		return requests;
	}

	private static class BalanceComparator implements Comparator<DistributionHelpEntry> {

		public int compare( DistributionHelpEntry o1, DistributionHelpEntry o2 ) {

			double b1 = o1.getNofBalance();
			double b2 = o2.getNofBalance();

			if ( b1 == b2 )
				return 0;
			else if ( b1 < b2 )
				return 1;
			else
				return -1;
		}
	}


	public static Comparator<DistributionHelpEntry> getBalanceComparator() {

		return new BalanceComparator();
	}
}
