package org.ourgrid.peer.manager;

import java.util.Collection;

import org.ourgrid.common.event.EventQueue;
import org.ourgrid.common.event.RequestEvent;
import org.ourgrid.common.event.ResponseEvent;
import org.ourgrid.common.spec.RequestSpec.RequestSource;
import org.ourgrid.peer.manager.status.ConsumerStatus;
import org.ourgrid.peer.manager.status.EBStatusProvider;

public class GetConsumersEvent implements RequestEvent {

	private static final long serialVersionUID = 33L;

	private final EBStatusProvider provider;

	private final EventQueue<ResponseEvent<Collection<ConsumerStatus>>> responseQueue;

	private final RequestSource source;


	public GetConsumersEvent( EventQueue<ResponseEvent<Collection<ConsumerStatus>>> responseQueue,
								EBStatusProvider provider, RequestSource source ) {

		this.responseQueue = responseQueue;
		this.provider = provider;
		this.source = source;
	}


	public void process() {

		provider.getConsumers( responseQueue, source );
	}
}
