/*
 * Copyright (c) 2002-2006 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.peer.manager.event;

import java.util.Collection;

import org.ourgrid.common.event.EventQueue;
import org.ourgrid.common.event.RequestEvent;
import org.ourgrid.common.event.ResponseEvent;
import org.ourgrid.common.spec.RequestSpec.RequestSource;
import org.ourgrid.peer.manager.allocation.AllocationStatus;
import org.ourgrid.peer.manager.status.EBStatusProvider;
import org.ourgrid.peer.manager.status.StatusEntry;

public class GetGumsEvent implements RequestEvent {

	private static final long serialVersionUID = 33L;

	private final EventQueue<ResponseEvent<Collection<StatusEntry>>> responseQueue;

	private final AllocationStatus allocationStatus;

	private final EBStatusProvider statusProvider;

	private final RequestSource source;


	public GetGumsEvent( EventQueue<ResponseEvent<Collection<StatusEntry>>> responseQueue,
							EBStatusProvider statusProvider, AllocationStatus allocationStatus, RequestSource source ) {

		this.responseQueue = responseQueue;
		this.statusProvider = statusProvider;
		this.allocationStatus = allocationStatus;
		this.source = source;
	}


	public void process() {

		this.statusProvider.getGums( responseQueue, allocationStatus, source );
	}

}
