/*
 * Copyright (c) 2002-2006 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.peer.manager.event;

import org.ourgrid.common.event.NotifyEvent;
import org.ourgrid.common.id.GumID;
import org.ourgrid.peer.manager.EBPeerManager;

public class LostGumNotifyEvent implements NotifyEvent {

	private static final long serialVersionUID = 33L;

	private EBPeerManager ebPeerManager;

	private GumID gumID;

	private final long requestID;


	public LostGumNotifyEvent( EBPeerManager ebPeerManager, GumID gumID, long requestID ) {

		this.ebPeerManager = ebPeerManager;
		this.gumID = gumID;
		this.requestID = requestID;
	}


	/**
	 * @see org.ourgrid.common.event.ActionEvent#process()
	 */
	public void process() {

		ebPeerManager.lostGum( gumID, requestID );
	}

}
