/*
 * Copyright (c) 2002-2006 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.peer.manager.event;

import java.util.Collection;

import org.ourgrid.common.event.NotifyEvent;
import org.ourgrid.common.spec.GumSpec;
import org.ourgrid.peer.manager.gummanager.EBGumManagerImpl;

/**
 * JIC Event used to set a GuM collection at this peer.
 */
public class SetGumsNotifyEvent implements NotifyEvent {

	private static final long serialVersionUID = 33L;

	private EBGumManagerImpl gumManager;

	private Collection<GumSpec> gumSpecs;


	/**
	 * The default constructor of this event.
	 * 
	 * @param manager GuM manager to be contacted.
	 * @param gumSpecCollection Collection of GuMSpecs setted.
	 */
	public SetGumsNotifyEvent( EBGumManagerImpl manager, Collection<GumSpec> gumSpecCollection ) {

		this.gumManager = manager;
		this.gumSpecs = gumSpecCollection;
	}


	public void process() {

		gumManager.setGums( gumSpecs );
	}
}
