/*
 * Copyright (c) 2002-2006 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.peer.manager.gummanager.events;

import java.io.File;

import org.ourgrid.common.event.EventQueue;
import org.ourgrid.common.event.RequestEvent;
import org.ourgrid.peer.ebgum.EBGum;

public class GumGetRemoteFileLastModificationEvent implements RequestEvent {

	private EBGum gum;

	private EventQueue responseQueue;

	private File remoteFile;

	private boolean normalized;


	public GumGetRemoteFileLastModificationEvent( EBGum gum, EventQueue responseQueue, File remoteFile,
													boolean normalized ) {

		this.responseQueue = responseQueue;
		this.gum = gum;
		this.remoteFile = remoteFile;
		this.normalized = normalized;
	}


	public void process() {

		this.gum.getRemoteFileLastModification( responseQueue, remoteFile, normalized );
	}

}
