/* Copyright (c) 2002-2006 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.peer.manager.gummanager.events;

import org.ourgrid.common.event.EventQueue;
import org.ourgrid.common.event.RequestEvent;
import org.ourgrid.common.executor.ExecutorHandle;
import org.ourgrid.peer.ebgum.EBGum;

public class GumGetResultEvent implements RequestEvent {

	private EBGum gum;

	private EventQueue responseQueue;

	private final ExecutorHandle handle;


	public GumGetResultEvent( EBGum gum, EventQueue responseQueue, ExecutorHandle handle ) {

		this.gum = gum;
		this.responseQueue = responseQueue;
		this.handle = handle;
	}


	public void process() {

		this.gum.getResult( responseQueue, handle );
	}

}
