/*
 * Copyright (c) 2002-2006 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.peer.manager.gummanager.events;

import java.rmi.RemoteException;

import org.ourgrid.common.event.ResponseEvent;
import org.ourgrid.common.executor.ExecutorException;
import org.ourgrid.common.executor.ExecutorHandle;
import org.ourgrid.common.gum.Gum;

public class GumGetResultResponseEvent implements ResponseEvent {

	private static final long serialVersionUID = 33L;

	private final Gum gum;

	private final ExecutorHandle handle;


	public GumGetResultResponseEvent( Gum gum, ExecutorHandle handle ) {

		this.gum = gum;
		this.handle = handle;
	}


	public Object getResponse() {

		try {
			return this.gum.getResult( handle );
		} catch ( RemoteException e ) {
			return e;
		} catch ( ExecutorException e ) {
			return e;
		}
	}

}
