package org.ourgrid.peer.manager.status;

import java.io.Serializable;
import java.net.URI;
import java.net.URISyntaxException;

import org.ourgrid.common.id.ObjectID;

public class ConsumerStatus implements Serializable {

	private static final long serialVersionUID = 33L;

	private final int remoteGums;

	private final ObjectID consumerID;

	private final int localGums;


	public ConsumerStatus( ObjectID consumerID, int localGums, int remoteGums ) {

		this.consumerID = consumerID;
		this.localGums = localGums;
		this.remoteGums = remoteGums;
	}


	public String getConsumerMachineName() {

		URI uri;

		try {
			uri = new URI( consumerID.getObjectURL() );
			return uri.getHost();
		} catch ( URISyntaxException e ) {
			return null;
		}
	}


	public int getConsumerMachinePort() {

		URI uri;

		try {
			uri = new URI( consumerID.getObjectURL() );
			return uri.getPort();
		} catch ( URISyntaxException e ) {
			return -1;
		}
	}


	public String getConsumerURL() {

		return consumerID.getObjectURL();
	}


	public int getLocalGums() {

		return localGums;
	}


	public int getRemoteGums() {

		return remoteGums;
	}
}
