/*
 * Copyright (c) 2002-2006 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.peer.manager.status;

import java.util.Collection;
import java.util.Map;

import org.ourgrid.common.event.EventQueue;
import org.ourgrid.common.event.ResponseEvent;
import org.ourgrid.common.id.ObjectID;
import org.ourgrid.common.spec.RequestSpec.RequestSource;
import org.ourgrid.peer.manager.allocation.AllocationStatus;

public interface EBStatusProvider {

	public void getGums( EventQueue<ResponseEvent<Collection<StatusEntry>>> responseQueue,
							AllocationStatus allocationStatus, RequestSource source );


	public void getLocalGums( EventQueue<ResponseEvent<Collection<StatusEntry>>> responseQueue );


	public void getRemoteGums( EventQueue<ResponseEvent<Collection<StatusEntry>>> responseQueue );


	public void getPeerbalance( EventQueue<ResponseEvent<Map<ObjectID,Double>>> responseQueue );


	public void getConsumers( EventQueue<ResponseEvent<Collection<ConsumerStatus>>> responseQueue, RequestSource source );

}
