/*
 * Copyright (c) 2002-2006 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.peer.manager.status;

import java.rmi.Remote;
import java.rmi.RemoteException;
import java.util.Collection;
import java.util.Map;

import org.ourgrid.common.id.ObjectID;
import org.ourgrid.common.spec.RequestSpec.RequestSource;
import org.ourgrid.peer.manager.allocation.AllocationStatus;
import org.ourgrid.peer.manager.allocation.AllocationEntry.GumSource;

public interface StatusProvider extends Remote {

	public Collection<StatusEntry> getGums( AllocationStatus allocationStatus, RequestSource source )
		throws RemoteException;


	public Collection<StatusEntry> getAllGums( GumSource source ) throws RemoteException;


	public Collection<ConsumerStatus> getConsumersStatus( RequestSource source ) throws RemoteException;


	public Map<ObjectID,Double> getNetworkOfFavors() throws RemoteException;


	public String getVersion() throws RemoteException;


	public String getEmail() throws RemoteException;


	public String getDescription() throws RemoteException;


	public Float getLatitude() throws RemoteException;


	public Float getLongitude() throws RemoteException;


	public String getDefaultSDF() throws RemoteException;


	public String getPeerName() throws RemoteException;


	public String getPeerExternalName() throws RemoteException;


	public String getPeerPort() throws RemoteException;


	public String getCorepeerName() throws RemoteException;


	public String getCorepeerPort() throws RemoteException;


	public boolean isCommunityMember() throws RemoteException;


	public String getUptime() throws RemoteException;
}
