/*
 * Copyright (c) 2002-2006 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */

package org.ourgrid.peer.ui;

import java.util.Collection;

import org.ourgrid.peer.ui.listener.PeerReceivedCommunityGumsStateListener;
import org.ourgrid.peer.ui.listener.PeerSetterStateListener;
import org.ourgrid.peer.ui.listener.PeerStarterStateListener;
import org.ourgrid.peer.ui.listener.PeerStopperStateListener;

/**
 * Interface to possibilite Observers objects to manipulate listeners and events
 */
public interface ObserverDispatcher {

	/* setterState listener */

	public void addPeerSetterStateListener( PeerSetterStateListener listener );


	public void removePeerSetterStateListener( PeerSetterStateListener listener );


	public void notifyPeerSetterStateListeners();


	/* stopperState listener */

	public void addPeerStopperStateListener( PeerStopperStateListener listener );


	public void removePeerStopperStateListener( PeerStopperStateListener listener );


	public void notifyPeerStopperStateListeners();


	/* stopperState listener */

	public void addPeerReceivedCommunityGumsStateListener( PeerReceivedCommunityGumsStateListener listener );


	public void removePeerReceivedCommunityGumsStateListener( PeerReceivedCommunityGumsStateListener listener );


	public void notifyPeerReceivedCommunityGumsStateListeners( Collection communityGums );


	/* starterState listener */

	public void addPeerStarterStateListener( PeerStarterStateListener listener );


	public void removePeerStarterStateListener( PeerStarterStateListener listener );


	public void notifyPeerStarterStateListeners();


	public boolean stillHaveListeners();

}
