/*
 * Copyright (c) 2002-2006 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.peer.ui.command;

import junit.framework.TestCase;

import org.ourgrid.common.config.Configuration;
import org.ourgrid.common.spec.RequestSpec.RequestSource;
import org.ourgrid.peer.manager.allocation.AllocationStatus;
import org.ourgrid.peer.ui.PeerUIManager;
import org.ourgrid.test.TestUtils;

public class PeerSetterTest extends TestCase {

	private TestUtils testUtils;


	@Override
	protected void setUp() throws Exception {

		testUtils = new TestUtils();
		testUtils.load();
		testUtils.createMGProperties();
		testUtils.createOGProperties();

		Configuration.reset();
		Configuration.getInstance( Configuration.PEER );

		try {
			TestUtils.executeCommand( TestUtils.PEER_COMMAND, new String[ ] { "stop" } );
		} catch ( Exception e ) {
		}

	}


	@Override
	protected void tearDown() throws Exception {

		try {
			TestUtils.executeCommand( TestUtils.PEER_COMMAND, new String[ ] { "stop" } );
		} catch ( Exception e ) {
		}

		Configuration.reset();
		testUtils.reset();

	}


	public void testSetGrid() throws Exception {

		TestUtils.executeCommand( TestUtils.PEER_COMMAND, new String[ ] { "start" } );

		try {
			PeerUIManager.getInstance().setLocalGums( "bogus" );
			fail( "This should throw an exception!" );
		} catch ( Exception e ) {

		}

		assertEquals( "Should be 0", 0, PeerUIManager.getInstance().getGums( AllocationStatus.IN_USE,
				RequestSource.FROM_LOCAL_BROKER ).size() );

		PeerUIManager.getInstance().setLocalGums(
				testUtils.createSDF( testUtils.getGumSpecs( 3, TestUtils.TYPE_UALINUX ) ) );

		// TODO essa informaao deve ser pega do gumManager
		// assertEquals("Should be 3", 3,
		// PeerUIManager.getInstance().getGums(AllocationStatus.CONFIGURED).size());

	}

}
