/*
 * Copyright (c) 2002-2004 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.peer.ui.command;

import org.ourgrid.common.config.Configuration;
import org.ourgrid.peer.ui.PeerUIManager;
import org.ourgrid.peer.ui.UIManager;

/**
 * This class is responsible to put the OurGrid Peer up.
 */
public class PeerStarter implements Command {

	public void run( String[ ] params, UIManager manager ) {

		try {

			if ( PeerUIManager.getInstance().isPeerRunning() ) {

				System.err.println( UIMessages.PEER_IS_ALREADY_RUNNING );

			} else {

				if ( Configuration.getInstance().isUsingDefaultProperties() ) {
					System.out.println( UIMessages.STARTING_WITH_DEFAULT_PROP );
				} else {
					System.out.println( UIMessages.STARTING_PEER );
				}

				manager.startPeerService();

				System.out.println( UIMessages.PEER_IS_UP_RUNNING );

			}
		} catch ( Exception e ) {
			System.out.println( e.getMessage() );
			System.exit( ErrorCode.PEER_IS_NOT_RUNNING );
		}
	}
}
