/*
 * Copyright (c) 2002-2006 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.peer.ui.command;

import junit.framework.TestCase;

import org.ourgrid.common.config.Configuration;
import org.ourgrid.test.TestUtils;

public class PeerStatusTest extends TestCase {

	private TestUtils testUtils;


	protected void setUp() throws Exception {

		Configuration.reset();

		testUtils = new TestUtils();

		testUtils.load();
		testUtils.createOGProperties();

		Configuration.getInstance( Configuration.PEER );

		try {
			TestUtils.executeCommand( TestUtils.PEER_COMMAND, new String[ ] { "start" } );
		} catch ( Exception e ) {
			e.printStackTrace();
			fail( "The peer could not be started." );
		}
	}


	protected void tearDown() throws Exception {

		try {
			TestUtils.executeCommand( TestUtils.PEER_COMMAND, new String[ ] { "stop" } );
		} catch ( Exception e ) {
			// This peer is stopped.
		}

		Configuration.reset();
		testUtils.reset();

	}

}
