/*
 * Copyright (c) 2002-2006 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.peer.ui.command;

import junit.framework.TestCase;

import org.ourgrid.common.config.Configuration;
import org.ourgrid.peer.ui.PeerUIManager;
import org.ourgrid.test.TestUtils;

public class PeerStopperTest extends TestCase {

	private TestUtils testUtils;


	protected void setUp() throws Exception {

		testUtils = new TestUtils();
		testUtils.load();
		testUtils.createOGProperties();

		Configuration.getInstance( Configuration.PEER );
		try {
			TestUtils.executeCommand( TestUtils.PEER_COMMAND, new String[ ] { "stop" } );
		} catch ( Exception e ) {

		}
	}


	protected void tearDown() throws Exception {

		try {
			TestUtils.executeCommand( TestUtils.PEER_COMMAND, new String[ ] { "stop" } );
		} catch ( Exception e ) {

		}

		Configuration.reset();
		testUtils.reset();
	}


	public void testStopOurGrid() throws Exception {

		try {
			TestUtils.executeCommand( TestUtils.PEER_COMMAND, new String[ ] { "start" } );
			Thread.sleep( 10000 );
		} catch ( Exception e1 ) {

		}

		assertTrue( "OurGrid should be running now", PeerUIManager.getInstance().isPeerRunning() );

		try {
			TestUtils.executeCommand( TestUtils.PEER_COMMAND, new String[ ] { "stop" } );
			Thread.sleep( 10000 );
		} catch ( Exception e ) {
			// This peer is stopped.
		}
		assertFalse( "OurGrid should not be running", PeerUIManager.getInstance().isPeerRunning() );

	}

}
