/*
 * Copyright (c) 2002-2006 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.peer.ui.gui;

import javax.swing.JLabel;

import org.ourgrid.peer.manager.allocation.AllocationStatus;

public class GridTreeNode extends JLabel {

	private static final long serialVersionUID = 33L;

	private Object type;

	private final String label;


	public GridTreeNode( AllocationStatus type ) {

		this( type.toString(), type );

	}


	public GridTreeNode( String label, Object type ) {

		this.label = label;
		this.type = type;

	}


	public Object getType() {

		return type;
	}


	public String toString() {

		return label;
	}

}
