/*
 * Copyright (c) 2002-2006 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.peer.ui.gui;

import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;

import javax.swing.JPopupMenu;
import javax.swing.JTree;
import javax.swing.tree.DefaultMutableTreeNode;

public class PopupListener extends MouseAdapter {

	JPopupMenu popup;


	public PopupListener( JPopupMenu popupMenu ) {

		popup = popupMenu;
	}


	public void mousePressed( MouseEvent e ) {

		maybeShowPopup( e );
	}


	private void maybeShowPopup( MouseEvent e ) {

		JTree tree = (JTree) e.getSource();
		if ( tree == null )
			return;
		DefaultMutableTreeNode lastNode = (DefaultMutableTreeNode) tree.getLastSelectedPathComponent();
		if ( lastNode == null )
			return;
		Object s = lastNode.getUserObject();

		if ( s.toString().equals( "GRID" ) )
			return;
		if ( e.isPopupTrigger() ) {
			popup.show( e.getComponent(), e.getX(), e.getY() );
		}
	}
}
