/*
 * Copyright (c) 2002-2006 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.peer.ui.listener;

import java.rmi.RemoteException;
import java.util.Collection;

import org.ourgrid.peer.ui.gui.PeerGUI;

public class PeerGUIListenerImpl implements PeerStarterStateListener, PeerSetterStateListener,
		PeerStopperStateListener, PeerReceivedCommunityGumsStateListener {

	private static final long serialVersionUID = 33L;

	private PeerGUI gui;


	/**
	 * Constructor of PeerGUIListenerImpl class
	 * 
	 * @param gui
	 * @throws RemoteException
	 */
	public PeerGUIListenerImpl( PeerGUI gui ) {

		this.gui = gui;
	}


	public void setGumsOcurred() {

		gui.refreshGridTab();
	}


	public void stopperEventOcurred() {

		gui.stoppedPeer();
	}


	public void receivedCommunityGumEventOcurred( Collection communityGums ) {

		gui.refreshGridTab();
	}


	public void starterEventOcurred() {

		gui.startedPeer();
	}

}
