/*
 * Copyright (c) 2002-2006 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.test;

import java.util.Enumeration;

import junit.framework.TestCase;

/**
 * Description: Tests for the SelectiveTestCollector.
 * 
 * @version 1.0 Created on 06/07/2004
 */
public class SelectiveTestCollectorTest extends TestCase implements TestModuleFastTest {

	/**
	 * @author Alexandre N?brega Duarte - alex@dsc.ufcg.edu.br Description: This
	 *         is a interface that is not implemented by anybody.
	 * @version 1.0 Created on 07/07/2004
	 */
	private interface NoOneImplementsThisInterface extends SelectiveTest {
	}


	public void testCollectTests() {

		int numberOfTestModuleTestClasses = 1;

		Enumeration myEnum = new SelectiveTestCollector( TestModuleFastTest.class ).collectTests();
		int cont = 0;
		while ( myEnum.hasMoreElements() ) {
			cont++;
			myEnum.nextElement();
		}

		assertEquals( numberOfTestModuleTestClasses, cont );
		myEnum = new SelectiveTestCollector( NoOneImplementsThisInterface.class ).collectTests();
		assertFalse( myEnum.hasMoreElements() );
	}

}
