package org.ourgrid.test.functionaltests;

import junit.framework.TestCase;

import org.ourgrid.test.FunctionalStressTest;
import org.ourgrid.test.functionalunits.FunctionalUnitsControl;
import org.ourgrid.test.functionalunits.MyGridUnit;
import org.ourgrid.test.functionalunits.PeerUnit;
import org.ourgrid.test.functionalunits.UserAgentUnit;

public class SimpleExecutionTests extends TestCase implements FunctionalStressTest {

	protected void tearDown() throws Exception {

		FunctionalUnitsControl.getInstance().destroyAllRemainingUnits();
		FunctionalUnitsControl.getInstance().reset();
	}


	public void testJobRequirements() throws Exception {

		PeerUnit peerA = FunctionalUnitsControl.getInstance().createANewPeerUnit( "PeerA" );

		peerA.start();
		UserAgentUnit[ ] userAgentUnits = FunctionalUnitsControl.getInstance().createANumberOfUserAgentUnits( 5 );
		for ( UserAgentUnit userAgentUnit : userAgentUnits ) {
			userAgentUnit.start();
		}

		peerA.setGums( userAgentUnits );

		MyGridUnit myGridA = FunctionalUnitsControl.getInstance().createANewMyGridUnit( "MyGridA" );

		myGridA.start();
		myGridA.setPeer( peerA );
		int id = myGridA.addJob( FunctionalUnitsControl.JOB_REQUIREMENTS_WINDOWS );

		FunctionalUnitsControl.getInstance().waitUntilSystemIsIdle();

		assertTrue( myGridA.getJobStatus( id ).isUnstarted() );
		assertTrue( myGridA.getRunningGums().isEmpty() );
	}
}
