/*
 * Copyright (c) 2002-2006 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.test.functionaltests.busywait;

/**
 * This is used to wait for a certain condition.
 * 
 * @author Flavio Vinicius Diniz de Figueiredo - flaviov@lsd.ufcg.edu.br
 */
public class ConditionWaiter {

	/**
	 * Timw between condition verifies.
	 */
	public static final long WAIT_PERIOD = 1000;


	/**
	 * This method wait for a certain condition from times to times.
	 * 
	 * @param waitCondition Condition to verify.
	 * @throws Exception If condition cannot be verified.
	 */
	public static void waitForCondition( WaitCondition waitCondition ) throws Exception {

		while ( !waitCondition.verifyCondition() ) {
			try {
				Thread.sleep( WAIT_PERIOD );
			} catch ( InterruptedException e ) {
			}
		}
	}
}
