/*
 * Copyright (c) 2002-2006 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.test.functionaltests.busywait;

import org.ourgrid.peer.manager.allocation.AllocationStatus;
import org.ourgrid.test.functionalunits.PeerUnit;

public class PeerGumsInStateCondition implements WaitCondition {

	private PeerUnit peerUnit;

	private int numberOfGums;

	private AllocationStatus allocationStatus;


	public PeerGumsInStateCondition( PeerUnit peerUnit, int numberOfGums, AllocationStatus allocationStatus ) {

		this.peerUnit = peerUnit;
		this.numberOfGums = numberOfGums;
		this.allocationStatus = allocationStatus;
	}


	public boolean verifyCondition() throws Exception {

		return peerUnit.gumsInState( allocationStatus ).size() == numberOfGums;
	}
}
