/*
 * Copyright (c) 2002-2006 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.test.functionaltests.busywait;

/**
 * Implementers of this interface must determine the verification of a certain
 * condition. This condition will be verified from times to times using the
 * <code>ConditionVerifier</code>
 * 
 * @author Flavio Vinicius Diniz de Figueiredo - flaviov@lsd.ufcg.edu.br
 */
public interface WaitCondition {

	/**
	 * Verifies a certain condition.
	 * 
	 * @return True if condition has been met, false otherwise.
	 * @throws Exception In case the condition could not be verfied.
	 */
	public boolean verifyCondition() throws Exception;

}
