/*
 * Copyright (c) 2002-2006 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.test.functionalunits;

import java.rmi.RemoteException;

import org.ourgrid.common.rmi.OurgridUnicastRemoteObject;
import org.ourgrid.test.threadServices.ExtendedThreadPoolServices;
import org.ourgrid.test.threadServices.ExtendedThreadServices;

/**
 * Implementation of the org.ourgrid.test.functionalunits.RemoteTestServices
 * interface.
 * 
 * @author Flavio Vinicius Diniz de Figueiredo - flaviov@lsd.ufcg.edu.br
 * @see org.ourgrid.test.functionalunits.RemoteTestServices
 */
public class RemoteTestServicesImpl extends OurgridUnicastRemoteObject implements RemoteTestServices {

	/**
	 * Serial version UID
	 */
	private static final long serialVersionUID = 33L;

	/**
	 * Exit status.
	 */
	private static final int EXIT_STATUS = 30091985;


	/**
	 * Builds a new <code>RemoteTestServicesImpl</code>.
	 * 
	 * @throws RemoteException Thrown by RMI standards.
	 */
	public RemoteTestServicesImpl() throws RemoteException {

		super();
	}


	public void waitUntilServiceHasStopped() throws RemoteException {

		ExtendedThreadPoolServices.waitUntilWorkIsDone();
		ExtendedThreadServices.waitUntilWorkIsDone();
	}


	public boolean stillIdle() throws RemoteException {

		return ExtendedThreadPoolServices.stillIdle() && ExtendedThreadServices.stillIdle();
	}


	public void killService() throws RemoteException {

		System.exit( EXIT_STATUS );
	}
}
