/*
 * Copyright (c) 2002-2006 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.test.threadServices;

import junit.framework.TestCase;

public class ExtendedThreadServicesTest extends TestCase {

	/*
	 * Test method for
	 * 'org.ourgrid.test.threadServices.ExtendedThreadServices.stillIdle()'
	 */
	public void testStillIdle() {

		RunnerWaiterRunnable runnerWaiterRunnable = new RunnerWaiterRunnable();
		runnerWaiterRunnable.startRunning();
		ExtendedThreadServices.waitUntilThreadHasStartedRunning( runnerWaiterRunnable.getActualRunnerThread() );

		runnerWaiterRunnable.setWaiting();
		ExtendedThreadServices.waitUntilWorkIsDone();
		assertTrue( ExtendedThreadServices.stillIdle() );

		runnerWaiterRunnable.unsetWaiting();
		assertFalse( ExtendedThreadServices.stillIdle() );

		runnerWaiterRunnable.setMustStop();
		ExtendedThreadServices.waitUntilWorkIsDone();
		assertTrue( ExtendedThreadServices.stillIdle() );

		// Starting a new thread
		RunnerWaiterRunnable runnerWaiterRunnable2 = new RunnerWaiterRunnable();
		runnerWaiterRunnable2.startRunning();
		ExtendedThreadServices.waitUntilThreadHasStartedRunning( runnerWaiterRunnable2.getActualRunnerThread() );

		assertFalse( ExtendedThreadServices.stillIdle() );

		runnerWaiterRunnable2.setMustStop();
		ExtendedThreadServices.waitUntilWorkIsDone();
		assertTrue( ExtendedThreadServices.stillIdle() );
	}
}
