/*
 * Copyright (c) 2002-2006 Universidade Federal de Campina Grande
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ourgrid.test.threadServices;

/**
 * This class is a Runnable used just for tests.
 */
public class InnerRunnable implements Runnable {

	/**
	 * Object to be notified.
	 */
	private Object toNotify;


	/**
	 * Constructor.
	 * 
	 * @param toNotify The object to be notified.
	 * @param name A string to be used in a thread related to this runnable.
	 */
	public InnerRunnable( Object toNotify, String name ) {

		this.toNotify = toNotify;
		(new Thread( this, "Inner:" + name )).start();
	}


	/**
	 * Prints 10 messages and notifies the threads waiting on
	 * <code>toNotify</code> object.
	 */
	public void run() {

		for ( int k = 0; k < 10; k++ ) {
			System.out.println( "Inner:" + k );
		}
		synchronized ( toNotify ) {
			toNotify.notifyAll();
			if ( toNotify instanceof ShutdownableRunnable ) {
				((ShutdownableRunnable) toNotify).setIsThereAnythingToDo( true );
			}
		}

	}

}
